set(ARMARX_BIN_DIR "${CMAKE_CURRENT_BINARY_DIR}/bin")
set(ARMARX_LIB_DIR "${CMAKE_CURRENT_BINARY_DIR}/lib")
set(ARMARX_ARCHIVE_DIR "${CMAKE_CURRENT_BINARY_DIR}/lib")

set("${ARMARX_PROJECT_NAME}_BINARY_DIR" "${ARMARX_BIN_DIR}")

set(ARMARX_WORKSPACE $ENV{ARMARX_WORKSPACE})
if("${ARMARX_WORKSPACE}" STREQUAL "")
    set(ARMARX_WORKSPACE $ENV{HOME})
endif()

set(ARMARX_CONFIG_DIR_NAME "armarx_config" CACHE STRING "This directory is created in $ARMARX_WORKSPACE and stores all ArmarX related data and configuration files.")
set(ARMARX_USER_VARIABLES_FILE "IceGridUserVariables.sh" CACHE STRING "This file is a Bash script and stores ArmarX related environment variables.")
set(ARMARX_CONFIG_DIR "$ARMARX_WORKSPACE/${ARMARX_CONFIG_DIR_NAME}" CACHE STRING "The workspace specific configuration directory of ArmarX.")
set(ARMARX_CONFIG_DIR_ABSOLUTE "${ARMARX_WORKSPACE}/${ARMARX_CONFIG_DIR_NAME}" CACHE STRING "The workspace specific configuration directory of ArmarX.")

# TODO: REMOVE?
set(ARMARX_USER_SYNC_DIR "$ENV{USER}")
set(ARMARX_SYNC_DIR "/localhome/armar-user/armarx_${ARMARX_USER_SYNC_DIR}")
set(POSTSYNC_BIN_DIR "\${ARMARX_SYNC_DIR}/bin")
set(POSTSYNC_SHARE_DIR "\${ARMARX_SYNC_DIR}/share")
set(POSTSYNC_LIB_DIR "\${ARMARX_SYNC_DIR}/lib")
# /TODO: REMOVE?

set(PROJECT_ETC_DIR "${PROJECT_SOURCE_DIR}/etc")
set(PROJECT_TEMPLATES_DIR "${PROJECT_ETC_DIR}/templates")
set("${ARMARX_PROJECT_NAME}_TEMPLATES_DIR" "${PROJECT_TEMPLATES_DIR}")
set(PROJECT_SCENARIOS_DIR "${PROJECT_SOURCE_DIR}/scenarios")
set(PROJECT_STATECHARTS_DIR "${PROJECT_SOURCE_DIR}/source/${ARMARX_PROJECT_INCLUDE_PATH}/statecharts")
set(PROJECT_DATA_DIR "${PROJECT_SOURCE_DIR}/data")
set(PROJECT_SOURCECODE_DIR "${PROJECT_SOURCE_DIR}/source")
set(PACKAGE_ICEGRID_DIR "${CMAKE_BINARY_DIR}/icegrid")
set("${ARMARX_PROJECT_NAME}_ICEGRID_DIR" "${PACKAGE_ICEGRID_DIR}")
set(PACKAGE_CONFIG_DIR "${CMAKE_BINARY_DIR}/config")
set("${ARMARX_PROJECT_NAME}_CONFIG_DIR" "${PACKAGE_CONFIG_DIR}")
