# Setup directories for ArmarX framework

set(ARMARX_BIN_DIR "${CMAKE_CURRENT_BINARY_DIR}/bin")
set(ARMARX_LIB_DIR "${CMAKE_CURRENT_BINARY_DIR}/lib")
set(ARMARX_ARCHIVE_DIR "${CMAKE_CURRENT_BINARY_DIR}/lib")

set("${ARMARX_PROJECT_NAME}_BINARY_DIR" "${ARMARX_BIN_DIR}")

set(ARMARX_CONFIG_DIR_NAME ".armarx" CACHE STRING "This directory is created in $HOME and stores all ArmarX related data and configuration files.")
set(ARMARX_USER_VARIABLES_FILE "IceGridUserVariables.sh" CACHE STRING "This file is a Bash script and stores ArmarX related environment variables.")
set(HOME $ENV{HOME})
set(ARMARX_CONFIG_DIR "$HOME/${ARMARX_CONFIG_DIR_NAME}" CACHE STRING "The USER specific configuration director of ArmarX.")
set(ARMARX_CONFIG_DIR_ABSOLUTE "${HOME}/${ARMARX_CONFIG_DIR_NAME}" CACHE STRING "The USER specific configuration director of ArmarX.")

set(ARMARX_USER_SYNC_DIR "$ENV{USER}")
set(ARMARX_SYNC_DIR "/localhome/armar-user/armarx_${ARMARX_USER_SYNC_DIR}")

set(POSTSYNC_BIN_DIR "\${ARMARX_SYNC_DIR}/bin")
set(POSTSYNC_SHARE_DIR "\${ARMARX_SYNC_DIR}/share")
set(POSTSYNC_LIB_DIR "\${ARMARX_SYNC_DIR}/lib")

set(PROJECT_ETC_DIR "${PROJECT_SOURCE_DIR}/etc")
set(PROJECT_TEMPLATES_DIR "${PROJECT_ETC_DIR}/templates")
set(PROJECT_SCENARIOS_DIR "${PROJECT_SOURCE_DIR}/scenarios")
set(PROJECT_STATECHARTS_DIR "${PROJECT_SOURCE_DIR}/source/${PROJECT_NAME}/statecharts")

set(PROJECT_DATA_DIR "${PROJECT_SOURCE_DIR}/data")
set(PROJECT_SOURCECODE_DIR "${PROJECT_SOURCE_DIR}/source")
set(PACKAGE_ICEGRID_DIR "${CMAKE_BINARY_DIR}/icegrid")
set("${ARMARX_PROJECT_NAME}_ICEGRID_DIR" "${PACKAGE_ICEGRID_DIR}")
set(PACKAGE_CONFIG_DIR "${CMAKE_BINARY_DIR}/config")
set("${ARMARX_PROJECT_NAME}_CONFIG_DIR" "${PACKAGE_CONFIG_DIR}")

set(DOXYGEN_DOCUMENTATION_DIR "${PROJECT_BINARY_DIR}/doxygen")
set(DOXYGEN_DOCUMENTATION_LAYOUT_DIR "${DOXYGEN_DOCUMENTATION_DIR}/layout")
set(DOXYGEN_DOCUMENTATION_HTML_OUTPUT_DIR_REL "html")

set(DOXYGEN_DOCUMENTATION_PAGES_DIR "${PROJECT_ETC_DIR}/doxygen/pages")
set(DOXYGEN_DOCUMENTATION_SNIPPET_DIR "${PROJECT_ETC_DIR}/doxygen/snippets ${PROJECT_SOURCECODE_DIR}")
set(DOXYGEN_DOCUMENTATION_IMAGE_DIR "${PROJECT_ETC_DIR}/doxygen/images")
set(DOXYGEN_DOCUMENTATION_INPUT_DIR "${PROJECT_SOURCECODE_DIR} ${DOXYGEN_DOCUMENTATION_PAGES_DIR} ${DOXYGEN_DOCUMENTATION_DIR}")
