/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    @PACKAGE_NAME@::COMPONENT_NAME_SNAKE::core
 * @author     @AUTHOR_NAME@ ( @AUTHOR_EMAIL@ )
 * @date       @YEAR@
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

// STD/STL
#include <string>
#include <memory>
#include <mutex>
#include <functional>


namespace @PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::core
{
    /**
    * @defgroup Library-@COMPONENT_NAME@ @COMPONENT_NAME@
    * @ingroup @PACKAGE_NAME@
    * A description of the library @COMPONENT_NAME_SNAKE@_core
    *
    * @class @COMPONENT_NAME@
    * @ingroup Library-@COMPONENT_NAME@
    * @brief Brief description of class @COMPONENT_NAME@.
    *
    * Detailed description of class @COMPONENT_NAME@.
    */
    class @COMPONENT_NAME_CAMEL@
    {
    public:
        /// Remote parameters of this skill implementation
        struct Remote
        {
            // e.g. armarx::armem::client::MemoryNameSystem memoryNameSystem;
        };

        /// Fixed properties of this skill implementation
        struct Properties
        {
            // e.g. std::string someProperty;
        };

        /// Necessary subskills of this skill implementation
        struct Subskills
        {
            // e.g. std::function<bool()> someSubskill;
        };

        /// Constructor of this skill implementation
        @COMPONENT_NAME_CAMEL@(const Remote& r, const Properties& p, const Subskills& s);

        /**
         * @brief Execute the main implemenation of this skill.
         * Locks a mutex to prevent simultaneous executions of the same object.
         *
         * @return if the execution was successful or not
         */
        bool execute();


    protected:

        /**
         * @brief The actual implementation of this skill. 
         * You can assume that this method will NOT be called concurrently.
         *
         * @return if the execution was successful or not
         */
        bool _execute();


    private:
        Remote remote;
        Properties properties;
        Subskills subskills;

        mutable std::mutex executionMutex;
    };

}
