/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    @PACKAGE_NAME@::COMPONENT_NAME_SNAKE::skills
 * @author     @AUTHOR_NAME@ ( @AUTHOR_EMAIL@ )
 * @date       @YEAR@
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "@COMPONENT_NAME_CAMEL@.h"

#include <@INCLUDE_NAMESPACE@/@COMPONENT_NAME_SNAKE@/core/@COMPONENT_NAME_CAMEL@.h>

namespace @PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::skills
{

    ::armarx::skills::SkillDescription
    @COMPONENT_NAME_CAMEL@::GetSkillDescription()
    {
        ParamType defaultParams;
        defaultParams.exampleStringParam = "exampleDefaultValue";

        const std::string skillName = @PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::constants::SKILL_NAME;
        const armarx::skills::SkillID skillId = armarx::skills::SkillID{
            .skillName = skillName
        };

        return ::armarx::skills::SkillDescription{
            .skillId = skillId,
            .description = "TODO: Description of skill @COMPONENT_NAME_CAMEL@.",
            .rootProfileDefaults = defaultParams.toAron(),
            .timeout = ::armarx::Duration::MilliSeconds(1000),
            .parametersType = ParamType::ToAronType()};
    }


    @COMPONENT_NAME_CAMEL@::@COMPONENT_NAME_CAMEL@(const Remote& r, const Properties& p) :
        Base(GetSkillDescription()),
        remote(r),
        properties(p)
    {
    }


    @COMPONENT_NAME_CAMEL@::MainResult
    @COMPONENT_NAME_CAMEL@::main(const SpecializedMainInput& in)
    {
        // Enter main code of the skill here.
        core::@COMPONENT_NAME_CAMEL@::Remote r;
        core::@COMPONENT_NAME_CAMEL@::Properties p;
        core::@COMPONENT_NAME_CAMEL@::Subskills s;
        core::@COMPONENT_NAME_CAMEL@ impl(r, p, s);

        if (impl.execute())
        {
            return MakeSucceededResult();
        }
        return MakeFailedResult();
    }

}
