/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    @PACKAGE_NAME@::COMPONENT_NAME_SNAKE::skills
 * @author     @AUTHOR_NAME@ ( @AUTHOR_EMAIL@ )
 * @date       @YEAR@
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

// STD/STL
#include <string>

// RobotAPI
#include <RobotAPI/libraries/skills/provider/SimpleSpecializedSkill.h>

// @COMPONENT_NAME_SNAKE@
#include <@INCLUDE_NAMESPACE@/@COMPONENT_NAME_SNAKE@/constants/constants.h>
#include <@INCLUDE_NAMESPACE@/@COMPONENT_NAME_SNAKE@/aron/@COMPONENT_NAME_CAMEL@Params.aron.generated.h>


namespace @PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::skills
{
    /**
    * @class @COMPONENT_NAME_CAMEL@
    * @ingroup Library-@COMPONENT_NAME@
    * @brief Brief description of skill class @COMPONENT_NAME@.
    *
    * Detailed description of class @COMPONENT_NAME@.
    */
    class @COMPONENT_NAME_CAMEL@ : public ::armarx::skills::SimpleSpecializedSkill<::@PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::arondto::@COMPONENT_NAME_CAMEL@Params>
    {
    public:
        using Base = ::armarx::skills::SimpleSpecializedSkill<::@PACKAGE_CPP_NAMESPACE@::@COMPONENT_NAME_SNAKE@::arondto::@COMPONENT_NAME_CAMEL@Params>;


        /// Remote parameters of this skill implementation
        struct Remote
        {
            // e.g. armarx::armem::client::MemoryNameSystem memoryNameSystem;
        };

        /// Fixed properties of this skill implementation
        struct Properties
        {
            // e.g. std::string someProperty;
        };

        static ::armarx::skills::SkillDescription GetSkillDescription();

        @COMPONENT_NAME_CAMEL@(const Remote& r, const Properties& p);

    private:
        // SimpleSpecializedSkill interface
        // Enable each function you want to override.
        // Base::InitResult init(const SpecializedInitInput&) override;
        Base::MainResult main(const SpecializedMainInput& in) override;
        // Base::ExitResult exit(const SpecializedExitInput&) override;

    private:

        Remote remote;
        Properties properties;

    };

}
