#pragma once

#include <ostream>

#include <Eigen/Core>

#include <ArmarXCore/interface/core/BasicTypes.h>

namespace armarx::core::eigen
{
    // COL MAJOR

    void fromIce(Eigen::Vector2f& e, const Ice::FloatSeq& ice);

    void toIce(const Eigen::Vector2f& e, Ice::FloatSeq& ice);

    void fromIce(Eigen::Vector2d& e, const Ice::FloatSeq& ice);

    void toIce(const Eigen::Vector2d& e, Ice::FloatSeq& ice);

    void fromIce(Eigen::Vector3f& e, const Ice::FloatSeq& ice);

    void toIce(const Eigen::Vector3f& e, Ice::FloatSeq& ice);

    void fromIce(Eigen::Vector3d& e, const Ice::DoubleSeq& ice);

    void toIce(const Eigen::Vector3d& e, Ice::DoubleSeq& ice);

    void fromIce(Eigen::Vector4f& e, const Ice::FloatSeq& ice);

    void toIce(const Eigen::Vector4f& e, Ice::FloatSeq& ice);

    void fromIce(Eigen::Vector4d& e, const Ice::DoubleSeq& ice);

    void toIce(const Eigen::Vector4d& e, Ice::DoubleSeq& ice);

    void fromIce(Eigen::Matrix2f& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix2f& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix2d& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix2d& e, armarx::DoubleSeqSeq& ice);

    void fromIce(Eigen::Matrix3f& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix3f& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix3d& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix3d& e, armarx::DoubleSeqSeq& ice);

    void fromIce(Eigen::Matrix4f& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix4f& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix4d& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix4d& e, armarx::DoubleSeqSeq& ice);


    // ROW MAJOR

    void fromIce(Eigen::Matrix<float, 2, 2, Eigen::RowMajor>& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix<float, 2, 2, Eigen::RowMajor>& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix<double, 2, 2, Eigen::RowMajor>& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix<double, 2, 2, Eigen::RowMajor>& e, armarx::DoubleSeqSeq& ice);

    void fromIce(Eigen::Matrix<float, 3, 3, Eigen::RowMajor>& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix<float, 3, 3, Eigen::RowMajor>& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix<double, 3, 3, Eigen::RowMajor>& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix<double, 4, 4, Eigen::RowMajor>& e, armarx::DoubleSeqSeq& ice);

    void fromIce(Eigen::Matrix<float, 4, 4, Eigen::RowMajor>& e, const armarx::FloatSeqSeq& ice);

    void toIce(const Eigen::Matrix<float, 4, 4, Eigen::RowMajor>& e, armarx::FloatSeqSeq& ice);

    void fromIce(Eigen::Matrix<double, 4, 4, Eigen::RowMajor>& e, const armarx::DoubleSeqSeq& ice);

    void toIce(const Eigen::Matrix<double, 4, 4, Eigen::RowMajor>& e, armarx::DoubleSeqSeq& ice);
} // namespace armarx::core::eigen
