if(NOT PACKAGE)
    message(FATAL_ERROR "Please specify a package name with -DPACKAGE=MyPackage")
endif()
set(SCRIPTRUN true)
set(ENV_DIR_VAR "$ENV{${PACKAGE}_DIR}")

if(PACKAGEBUILDPATH)
    find_package(${PACKAGE} QUIET PATHS ${PACKAGEBUILDPATH} NO_DEFAULT_PATH )
    if(NOT ${PACKAGE}_FOUND)
        message(FATAL_ERROR "A package path was given for package '${PACKAGE}' was set but the package was not found at '${PACKAGEBUILDPATH}'")
    endif()
elseif(PACKAGEBUILDPATHHINT)
    find_package(${PACKAGE} QUIET HINTS ${PACKAGEBUILDPATHHINT} ${ENV_DIR_VAR})
elseif(ENV_DIR_VAR)
    find_package(${PACKAGE} QUIET PATHS ${ENV_DIR_VAR} NO_DEFAULT_PATH)
    if(NOT ${PACKAGE}_FOUND)
        message(FATAL_ERROR "Environment variable for package '${PACKAGE}' was set but the package was not found at '${ENV_DIR_VAR}'")
    endif()
else()
    find_package(${PACKAGE} QUIET)
endif()

if(${PACKAGE}_FOUND)
    message(STATUS "PACKAGE_CONFIG_DIR:${${PACKAGE}_PACKAGE_CONFIG_DIR}")
    message(STATUS "PACKAGE_VERSION:${${PACKAGE}_VERSION}")
    message(STATUS "TEMPLATES_DIR:${${PACKAGE}_TEMPLATES_DIR}")
    message(STATUS "BUILD_DIR:${${PACKAGE}_BUILD_DIR}")
    message(STATUS "PROJECT_BASE_DIR:${${PACKAGE}_SOURCE_DIR}")
    message(STATUS "INCLUDE_DIRS:${${PACKAGE}_INCLUDE_DIRS}")
    message(STATUS "LIBRARY_DIRS:${${PACKAGE}_LIBRARY_DIRS}")
    message(STATUS "LIBRARIES:${${PACKAGE}_LIBRARIES}")
    message(STATUS "CMAKE_DIR:${${PACKAGE}_CMAKE_DIR}")
    message(STATUS "CONFIG_DIR:${${PACKAGE}_CONFIG_DIR}")
    message(STATUS "BINARY_DIR:${${PACKAGE}_BINARY_DIR}")
    message(STATUS "SCENARIOS_DIR:${${PACKAGE}_SCENARIOS_DIR}")
    message(STATUS "STATECHARTS_DIR:${${PACKAGE}_STATECHARTS_DIR}")
    message(STATUS "DATA_DIR:${${PACKAGE}_DATA_DIR}")
    message(STATUS "EXECUTABLE:${${PACKAGE}_EXECUTABLE}")
    message(STATUS "INTERFACE_DIRS:${${PACKAGE}_INTERFACE_DIRS}")
    message(STATUS "DEPENDENCIES:${${PACKAGE}_DEPENDENCIES}")
    message(STATUS "SOURCE_PACKAGE_DEPENDENCIES:${${PACKAGE}_SOURCE_PACKAGE_DEPENDENCIES}")
    message(STATUS "PACKAGE_DEPENDENCY_PATHS:${${PACKAGE}_PACKAGE_DEPENDENCY_PATHS}")
endif()

