/*
 * This file is part of ArmarX.
*
* Copyright (C) 2011-2016, High Performance Humanoid Technologies (H2T), Karlsruhe Institute of Technology (KIT), all rights reserved.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    ArmarXCore::core
 * @author     Clemens Wallrath ( uagzs at student dot kit dot edu )
 * @date       2015
 * @copyright  http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#include "CallbackWaitLock.h"

namespace armarx
{
    CallbackWaitLock::CallbackWaitLock() : called(false)
    {
    }

    void
    CallbackWaitLock::wait()
    {
        std::unique_lock lockWait(waitMutex);
        while (!called)
        {
            condWait.wait(lockWait);
        }
    }

    void
    CallbackWaitLock::call()
    {
        {
            std::unique_lock lock(waitMutex);
            called = true;
        }
        condWait.notify_all();
    }
} // namespace armarx
