#pragma once

module armarx
{

    module dto
    {

        enum BatteryState
        {
            unavailable = 0,
            discharging = 1,
            charging = 2,
            notCharging = 3,
            full = 4
        };

        struct BatteryStatus
        {
            // Name or ID of the battery (or "cumulative") for the general cumulative report.
            string name;
            BatteryState state;
            float designEnergy_Wh;
            float fullChargeEnergy_Wh;
            float energy_Wh;
            float energyFromFullCharge_pct;
            float fullEnergyFromDesignEnergy_pct;
            float temperature_degC;
            float ratedVoltage_V;
            float voltage_V;
            float current_A;
            float power_W;
            float remainingTime_h;
            bool hasError;
            string error;
        };

        //sequence<BatteryModuleStatus> BatteryModuleStatuses;
    };

    interface BatteryManagementInterface
    {
        // Cumulative status report across all battery modules.
        ["cpp:const"] idempotent dto::BatteryStatus getBatteryStatus();

        // NYI: Detailed status report for each battery module.
        //["cpp:const"] idempotent dto::BatteryModuleStatuses getBatteryModuleStatuses();
    };
};
