/*
* Ice interface implemented by the ArmarXManagerInterface (from ArmarXCore) enabling Mice to
* retrieve the required data.
*/

#pragma once
#include <Ice/Metrics.ice>

module mice
{

    struct MiceObjectConnectivity
    {
        Ice::StringSeq usedObjects;
        Ice::StringSeq subscribedTopics;
        Ice::StringSeq publishedTopics;
    };

    interface MiceManagerInsightProvider
    {
        string getHostname();
        Ice::StringSeq getObjectNames();
        MiceObjectConnectivity getMiceObjectConnectivity(string objectName);
        IceMX::MetricsAdmin* getMetricsAdmin();
    };
};
