#pragma once

#include <ArmarXCore/interface/serialization/Eigen/EigenQuaternion.ice>
#include <ArmarXCore/interface/serialization/Eigen/Eigen_fdi.ice>
#include <ArmarXCore/interface/serialization/Eigen/Eigen_lsbyte.ice>

module Eigen
{
    // code generated by calling
    // cpp in | grep -v '^#' | sed 's/;/;\n/g' | sed 's/" "//g' | sed 's/^ */        /g'
    // while in was containing following macros
    //due to the large output, it was split over several files included aboce
#if 0
#define make_mx(SType, Type, Suf, Rows)                                                            \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  1>"] sequence<SType>                        \
        Matrix_##Rows##_1_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  2>"] sequence<SType>                        \
        Matrix_##Rows##_2_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  3>"] sequence<SType>                        \
        Matrix_##Rows##_3_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  4>"] sequence<SType>                        \
        Matrix_##Rows##_4_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  5>"] sequence<SType>                        \
        Matrix_##Rows##_5_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  6>"] sequence<SType>                        \
        Matrix_##Rows##_6_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  7>"] sequence<SType>                        \
        Matrix_##Rows##_7_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  8>"] sequence<SType>                        \
        Matrix_##Rows##_8_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ",  9>"] sequence<SType>                        \
        Matrix_##Rows##_9_##Suf;                                                                   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 10>"] sequence<SType>                        \
        Matrix_##Rows##_10_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 11>"] sequence<SType>                        \
        Matrix_##Rows##_11_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 12>"] sequence<SType>                        \
        Matrix_##Rows##_12_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 13>"] sequence<SType>                        \
        Matrix_##Rows##_13_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 14>"] sequence<SType>                        \
        Matrix_##Rows##_14_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 15>"] sequence<SType>                        \
        Matrix_##Rows##_15_##Suf;                                                                  \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Rows ", 16>"] sequence<SType>                        \
        Matrix_##Rows##_16_##Suf;                                                                  \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_1_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_2_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_3_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_4_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_5_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_6_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_7_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_8_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_9_##Suf##Seq;                                \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_10_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_11_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_12_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_13_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_14_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_15_##Suf##Seq;                               \
    sequence<Matrix_##Rows##_1_##Suf> Matrix_##Rows##_16_##Suf##Seq

#define make_vec_and_mx(SType, Type, Suf, Sz)                                                      \
    ["cpp:type:::Eigen::Matrix<" #Type ",  1,  " #Sz ">"] sequence<SType> RowVector##Sz##Suf;      \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Sz ",  1>"] sequence<SType> Vector##Sz##Suf;         \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Sz ",  " #Sz ">"] sequence<SType> Matrix##Sz##Suf;   \
    ["cpp:type:::Eigen::Matrix<" #Type ",  " #Sz ", -1>"] sequence<SType> Matrix##Sz##X##Suf;      \
    ["cpp:type:::Eigen::Matrix<" #Type ", -1,  " #Sz ">"] sequence<SType> Matrix##X##Sz##Suf;      \
    sequence<RowVector##Sz##Suf> RowVector##Sz##Suf##Seq;                                          \
    sequence<Vector##Sz##Suf> Vector##Sz##Suf##Seq;                                                \
    sequence<Matrix##Sz##Suf> Matrix##Sz##Suf##Seq;                                                \
    sequence<Matrix##Sz##X##Suf> Matrix##Sz##X##Suf##Seq;                                          \
    sequence<Matrix##X##Sz##Suf> Matrix##X##Sz##Suf##Seq;                                          \
    make_mx(SType, Type, Suf, Sz)

#define make_sizes_vec_and_mx(SType, Type, Suf)                                                    \
    make_vec_and_mx(SType, Type, Suf, 1);                                                          \
    make_vec_and_mx(SType, Type, Suf, 2);                                                          \
    make_vec_and_mx(SType, Type, Suf, 3);                                                          \
    make_vec_and_mx(SType, Type, Suf, 4);                                                          \
    make_vec_and_mx(SType, Type, Suf, 5);                                                          \
    make_vec_and_mx(SType, Type, Suf, 6);                                                          \
    make_vec_and_mx(SType, Type, Suf, 7);                                                          \
    make_vec_and_mx(SType, Type, Suf, 8);                                                          \
    make_vec_and_mx(SType, Type, Suf, 9);                                                          \
    make_vec_and_mx(SType, Type, Suf, 10);                                                         \
    make_vec_and_mx(SType, Type, Suf, 11);                                                         \
    make_vec_and_mx(SType, Type, Suf, 12);                                                         \
    make_vec_and_mx(SType, Type, Suf, 13);                                                         \
    make_vec_and_mx(SType, Type, Suf, 14);                                                         \
    make_vec_and_mx(SType, Type, Suf, 15);                                                         \
    make_vec_and_mx(SType, Type, Suf, 16);                                                         \
    ["cpp:type:::Eigen::Matrix<" #Type ",  1, -1>"] sequence<SType> RowVectorX##Suf;               \
    ["cpp:type:::Eigen::Matrix<" #Type ", -1,  1>"] sequence<SType> VectorX##Suf;                  \
    ["cpp:type:::Eigen::Matrix<" #Type ", -1, -1>"] sequence<SType> MatrixXX##Suf;                 \
    ["cpp:type:::Eigen::Matrix<" #Type ", -1, -1>"] sequence<SType> MatrixX##Suf;                  \
    sequence<RowVectorX##Suf> RowVectorX##Suf##Seq;                                                \
    sequence<VectorX##Suf> VectorX##Suf##Seq;                                                      \
    sequence<MatrixXX##Suf> MatrixXX##Suf##Seq;                                                    \
    sequence<MatrixX##Suf> MatrixX##Suf##Seq

    make_sizes_vec_and_mx(float, ::Ice::Float,    f);
    make_sizes_vec_and_mx(double, ::Ice::Double,    d);
    make_sizes_vec_and_mx(int, ::Ice::Int,    i);
    make_sizes_vec_and_mx(long, ::Ice::Long,    l);
    make_sizes_vec_and_mx(short, ::Ice::Short,    s);
    make_sizes_vec_and_mx(byte, ::Ice::Byte, byte);
#endif
};
