#pragma once

[["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamableTraits.h"]]
    [["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamReader.h"]]
    [["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamWriter.h"]]

    module Eigen
{
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  1>"] sequence<float> RowVector1f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  1>"] sequence<float> Vector1f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  1>"] sequence<float> Matrix1f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, -1>"] sequence<float> Matrix1Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  1>"] sequence<float> MatrixX1f;
    sequence<RowVector1f> RowVector1fSeq;
    sequence<Vector1f> Vector1fSeq;
    sequence<Matrix1f> Matrix1fSeq;
    sequence<Matrix1Xf> Matrix1XfSeq;
    sequence<MatrixX1f> MatrixX1fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  1>"] sequence<float> Matrix_1_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  2>"] sequence<float> Matrix_1_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  3>"] sequence<float> Matrix_1_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  4>"] sequence<float> Matrix_1_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  5>"] sequence<float> Matrix_1_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  6>"] sequence<float> Matrix_1_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  7>"] sequence<float> Matrix_1_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  8>"] sequence<float> Matrix_1_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  9>"] sequence<float> Matrix_1_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 10>"] sequence<float> Matrix_1_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 11>"] sequence<float> Matrix_1_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 12>"] sequence<float> Matrix_1_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 13>"] sequence<float> Matrix_1_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 14>"] sequence<float> Matrix_1_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 15>"] sequence<float> Matrix_1_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, 16>"] sequence<float> Matrix_1_16_f;
    sequence<Matrix_1_1_f> Matrix_1_1_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_2_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_3_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_4_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_5_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_6_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_7_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_8_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_9_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_10_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_11_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_12_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_13_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_14_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_15_fSeq;
    sequence<Matrix_1_1_f> Matrix_1_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  2>"] sequence<float> RowVector2f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  1>"] sequence<float> Vector2f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  2>"] sequence<float> Matrix2f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, -1>"] sequence<float> Matrix2Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  2>"] sequence<float> MatrixX2f;
    sequence<RowVector2f> RowVector2fSeq;
    sequence<Vector2f> Vector2fSeq;
    sequence<Matrix2f> Matrix2fSeq;
    sequence<Matrix2Xf> Matrix2XfSeq;
    sequence<MatrixX2f> MatrixX2fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  1>"] sequence<float> Matrix_2_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  2>"] sequence<float> Matrix_2_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  3>"] sequence<float> Matrix_2_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  4>"] sequence<float> Matrix_2_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  5>"] sequence<float> Matrix_2_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  6>"] sequence<float> Matrix_2_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  7>"] sequence<float> Matrix_2_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  8>"] sequence<float> Matrix_2_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2,  9>"] sequence<float> Matrix_2_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 10>"] sequence<float> Matrix_2_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 11>"] sequence<float> Matrix_2_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 12>"] sequence<float> Matrix_2_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 13>"] sequence<float> Matrix_2_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 14>"] sequence<float> Matrix_2_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 15>"] sequence<float> Matrix_2_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  2, 16>"] sequence<float> Matrix_2_16_f;
    sequence<Matrix_2_1_f> Matrix_2_1_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_2_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_3_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_4_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_5_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_6_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_7_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_8_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_9_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_10_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_11_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_12_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_13_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_14_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_15_fSeq;
    sequence<Matrix_2_1_f> Matrix_2_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  3>"] sequence<float> RowVector3f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  1>"] sequence<float> Vector3f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  3>"] sequence<float> Matrix3f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, -1>"] sequence<float> Matrix3Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  3>"] sequence<float> MatrixX3f;
    sequence<RowVector3f> RowVector3fSeq;
    sequence<Vector3f> Vector3fSeq;
    sequence<Matrix3f> Matrix3fSeq;
    sequence<Matrix3Xf> Matrix3XfSeq;
    sequence<MatrixX3f> MatrixX3fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  1>"] sequence<float> Matrix_3_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  2>"] sequence<float> Matrix_3_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  3>"] sequence<float> Matrix_3_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  4>"] sequence<float> Matrix_3_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  5>"] sequence<float> Matrix_3_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  6>"] sequence<float> Matrix_3_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  7>"] sequence<float> Matrix_3_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  8>"] sequence<float> Matrix_3_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3,  9>"] sequence<float> Matrix_3_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 10>"] sequence<float> Matrix_3_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 11>"] sequence<float> Matrix_3_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 12>"] sequence<float> Matrix_3_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 13>"] sequence<float> Matrix_3_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 14>"] sequence<float> Matrix_3_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 15>"] sequence<float> Matrix_3_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  3, 16>"] sequence<float> Matrix_3_16_f;
    sequence<Matrix_3_1_f> Matrix_3_1_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_2_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_3_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_4_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_5_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_6_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_7_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_8_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_9_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_10_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_11_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_12_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_13_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_14_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_15_fSeq;
    sequence<Matrix_3_1_f> Matrix_3_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  4>"] sequence<float> RowVector4f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  1>"] sequence<float> Vector4f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  4>"] sequence<float> Matrix4f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, -1>"] sequence<float> Matrix4Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  4>"] sequence<float> MatrixX4f;
    sequence<RowVector4f> RowVector4fSeq;
    sequence<Vector4f> Vector4fSeq;
    sequence<Matrix4f> Matrix4fSeq;
    sequence<Matrix4Xf> Matrix4XfSeq;
    sequence<MatrixX4f> MatrixX4fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  1>"] sequence<float> Matrix_4_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  2>"] sequence<float> Matrix_4_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  3>"] sequence<float> Matrix_4_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  4>"] sequence<float> Matrix_4_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  5>"] sequence<float> Matrix_4_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  6>"] sequence<float> Matrix_4_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  7>"] sequence<float> Matrix_4_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  8>"] sequence<float> Matrix_4_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4,  9>"] sequence<float> Matrix_4_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 10>"] sequence<float> Matrix_4_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 11>"] sequence<float> Matrix_4_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 12>"] sequence<float> Matrix_4_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 13>"] sequence<float> Matrix_4_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 14>"] sequence<float> Matrix_4_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 15>"] sequence<float> Matrix_4_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  4, 16>"] sequence<float> Matrix_4_16_f;
    sequence<Matrix_4_1_f> Matrix_4_1_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_2_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_3_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_4_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_5_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_6_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_7_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_8_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_9_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_10_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_11_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_12_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_13_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_14_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_15_fSeq;
    sequence<Matrix_4_1_f> Matrix_4_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  5>"] sequence<float> RowVector5f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  1>"] sequence<float> Vector5f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  5>"] sequence<float> Matrix5f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, -1>"] sequence<float> Matrix5Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  5>"] sequence<float> MatrixX5f;
    sequence<RowVector5f> RowVector5fSeq;
    sequence<Vector5f> Vector5fSeq;
    sequence<Matrix5f> Matrix5fSeq;
    sequence<Matrix5Xf> Matrix5XfSeq;
    sequence<MatrixX5f> MatrixX5fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  1>"] sequence<float> Matrix_5_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  2>"] sequence<float> Matrix_5_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  3>"] sequence<float> Matrix_5_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  4>"] sequence<float> Matrix_5_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  5>"] sequence<float> Matrix_5_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  6>"] sequence<float> Matrix_5_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  7>"] sequence<float> Matrix_5_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  8>"] sequence<float> Matrix_5_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5,  9>"] sequence<float> Matrix_5_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 10>"] sequence<float> Matrix_5_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 11>"] sequence<float> Matrix_5_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 12>"] sequence<float> Matrix_5_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 13>"] sequence<float> Matrix_5_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 14>"] sequence<float> Matrix_5_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 15>"] sequence<float> Matrix_5_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  5, 16>"] sequence<float> Matrix_5_16_f;
    sequence<Matrix_5_1_f> Matrix_5_1_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_2_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_3_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_4_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_5_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_6_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_7_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_8_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_9_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_10_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_11_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_12_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_13_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_14_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_15_fSeq;
    sequence<Matrix_5_1_f> Matrix_5_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  6>"] sequence<float> RowVector6f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  1>"] sequence<float> Vector6f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  6>"] sequence<float> Matrix6f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, -1>"] sequence<float> Matrix6Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  6>"] sequence<float> MatrixX6f;
    sequence<RowVector6f> RowVector6fSeq;
    sequence<Vector6f> Vector6fSeq;
    sequence<Matrix6f> Matrix6fSeq;
    sequence<Matrix6Xf> Matrix6XfSeq;
    sequence<MatrixX6f> MatrixX6fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  1>"] sequence<float> Matrix_6_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  2>"] sequence<float> Matrix_6_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  3>"] sequence<float> Matrix_6_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  4>"] sequence<float> Matrix_6_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  5>"] sequence<float> Matrix_6_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  6>"] sequence<float> Matrix_6_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  7>"] sequence<float> Matrix_6_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  8>"] sequence<float> Matrix_6_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6,  9>"] sequence<float> Matrix_6_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 10>"] sequence<float> Matrix_6_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 11>"] sequence<float> Matrix_6_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 12>"] sequence<float> Matrix_6_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 13>"] sequence<float> Matrix_6_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 14>"] sequence<float> Matrix_6_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 15>"] sequence<float> Matrix_6_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  6, 16>"] sequence<float> Matrix_6_16_f;
    sequence<Matrix_6_1_f> Matrix_6_1_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_2_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_3_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_4_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_5_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_6_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_7_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_8_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_9_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_10_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_11_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_12_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_13_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_14_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_15_fSeq;
    sequence<Matrix_6_1_f> Matrix_6_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  7>"] sequence<float> RowVector7f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  1>"] sequence<float> Vector7f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  7>"] sequence<float> Matrix7f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, -1>"] sequence<float> Matrix7Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  7>"] sequence<float> MatrixX7f;
    sequence<RowVector7f> RowVector7fSeq;
    sequence<Vector7f> Vector7fSeq;
    sequence<Matrix7f> Matrix7fSeq;
    sequence<Matrix7Xf> Matrix7XfSeq;
    sequence<MatrixX7f> MatrixX7fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  1>"] sequence<float> Matrix_7_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  2>"] sequence<float> Matrix_7_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  3>"] sequence<float> Matrix_7_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  4>"] sequence<float> Matrix_7_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  5>"] sequence<float> Matrix_7_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  6>"] sequence<float> Matrix_7_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  7>"] sequence<float> Matrix_7_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  8>"] sequence<float> Matrix_7_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7,  9>"] sequence<float> Matrix_7_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 10>"] sequence<float> Matrix_7_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 11>"] sequence<float> Matrix_7_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 12>"] sequence<float> Matrix_7_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 13>"] sequence<float> Matrix_7_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 14>"] sequence<float> Matrix_7_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 15>"] sequence<float> Matrix_7_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  7, 16>"] sequence<float> Matrix_7_16_f;
    sequence<Matrix_7_1_f> Matrix_7_1_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_2_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_3_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_4_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_5_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_6_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_7_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_8_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_9_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_10_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_11_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_12_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_13_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_14_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_15_fSeq;
    sequence<Matrix_7_1_f> Matrix_7_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  8>"] sequence<float> RowVector8f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  1>"] sequence<float> Vector8f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  8>"] sequence<float> Matrix8f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, -1>"] sequence<float> Matrix8Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  8>"] sequence<float> MatrixX8f;
    sequence<RowVector8f> RowVector8fSeq;
    sequence<Vector8f> Vector8fSeq;
    sequence<Matrix8f> Matrix8fSeq;
    sequence<Matrix8Xf> Matrix8XfSeq;
    sequence<MatrixX8f> MatrixX8fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  1>"] sequence<float> Matrix_8_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  2>"] sequence<float> Matrix_8_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  3>"] sequence<float> Matrix_8_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  4>"] sequence<float> Matrix_8_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  5>"] sequence<float> Matrix_8_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  6>"] sequence<float> Matrix_8_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  7>"] sequence<float> Matrix_8_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  8>"] sequence<float> Matrix_8_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8,  9>"] sequence<float> Matrix_8_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 10>"] sequence<float> Matrix_8_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 11>"] sequence<float> Matrix_8_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 12>"] sequence<float> Matrix_8_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 13>"] sequence<float> Matrix_8_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 14>"] sequence<float> Matrix_8_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 15>"] sequence<float> Matrix_8_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  8, 16>"] sequence<float> Matrix_8_16_f;
    sequence<Matrix_8_1_f> Matrix_8_1_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_2_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_3_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_4_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_5_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_6_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_7_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_8_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_9_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_10_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_11_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_12_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_13_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_14_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_15_fSeq;
    sequence<Matrix_8_1_f> Matrix_8_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  9>"] sequence<float> RowVector9f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  1>"] sequence<float> Vector9f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  9>"] sequence<float> Matrix9f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, -1>"] sequence<float> Matrix9Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  9>"] sequence<float> MatrixX9f;
    sequence<RowVector9f> RowVector9fSeq;
    sequence<Vector9f> Vector9fSeq;
    sequence<Matrix9f> Matrix9fSeq;
    sequence<Matrix9Xf> Matrix9XfSeq;
    sequence<MatrixX9f> MatrixX9fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  1>"] sequence<float> Matrix_9_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  2>"] sequence<float> Matrix_9_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  3>"] sequence<float> Matrix_9_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  4>"] sequence<float> Matrix_9_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  5>"] sequence<float> Matrix_9_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  6>"] sequence<float> Matrix_9_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  7>"] sequence<float> Matrix_9_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  8>"] sequence<float> Matrix_9_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9,  9>"] sequence<float> Matrix_9_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 10>"] sequence<float> Matrix_9_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 11>"] sequence<float> Matrix_9_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 12>"] sequence<float> Matrix_9_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 13>"] sequence<float> Matrix_9_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 14>"] sequence<float> Matrix_9_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 15>"] sequence<float> Matrix_9_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  9, 16>"] sequence<float> Matrix_9_16_f;
    sequence<Matrix_9_1_f> Matrix_9_1_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_2_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_3_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_4_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_5_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_6_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_7_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_8_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_9_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_10_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_11_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_12_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_13_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_14_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_15_fSeq;
    sequence<Matrix_9_1_f> Matrix_9_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  10>"] sequence<float> RowVector10f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  1>"] sequence<float> Vector10f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  10>"] sequence<float> Matrix10f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, -1>"] sequence<float> Matrix10Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  10>"] sequence<float> MatrixX10f;
    sequence<RowVector10f> RowVector10fSeq;
    sequence<Vector10f> Vector10fSeq;
    sequence<Matrix10f> Matrix10fSeq;
    sequence<Matrix10Xf> Matrix10XfSeq;
    sequence<MatrixX10f> MatrixX10fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  1>"] sequence<float> Matrix_10_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  2>"] sequence<float> Matrix_10_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  3>"] sequence<float> Matrix_10_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  4>"] sequence<float> Matrix_10_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  5>"] sequence<float> Matrix_10_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  6>"] sequence<float> Matrix_10_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  7>"] sequence<float> Matrix_10_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  8>"] sequence<float> Matrix_10_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10,  9>"] sequence<float> Matrix_10_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 10>"] sequence<float> Matrix_10_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 11>"] sequence<float> Matrix_10_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 12>"] sequence<float> Matrix_10_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 13>"] sequence<float> Matrix_10_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 14>"] sequence<float> Matrix_10_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 15>"] sequence<float> Matrix_10_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  10, 16>"] sequence<float> Matrix_10_16_f;
    sequence<Matrix_10_1_f> Matrix_10_1_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_2_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_3_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_4_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_5_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_6_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_7_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_8_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_9_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_10_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_11_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_12_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_13_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_14_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_15_fSeq;
    sequence<Matrix_10_1_f> Matrix_10_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  11>"] sequence<float> RowVector11f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  1>"] sequence<float> Vector11f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  11>"] sequence<float> Matrix11f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, -1>"] sequence<float> Matrix11Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  11>"] sequence<float> MatrixX11f;
    sequence<RowVector11f> RowVector11fSeq;
    sequence<Vector11f> Vector11fSeq;
    sequence<Matrix11f> Matrix11fSeq;
    sequence<Matrix11Xf> Matrix11XfSeq;
    sequence<MatrixX11f> MatrixX11fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  1>"] sequence<float> Matrix_11_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  2>"] sequence<float> Matrix_11_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  3>"] sequence<float> Matrix_11_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  4>"] sequence<float> Matrix_11_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  5>"] sequence<float> Matrix_11_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  6>"] sequence<float> Matrix_11_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  7>"] sequence<float> Matrix_11_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  8>"] sequence<float> Matrix_11_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11,  9>"] sequence<float> Matrix_11_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 10>"] sequence<float> Matrix_11_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 11>"] sequence<float> Matrix_11_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 12>"] sequence<float> Matrix_11_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 13>"] sequence<float> Matrix_11_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 14>"] sequence<float> Matrix_11_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 15>"] sequence<float> Matrix_11_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  11, 16>"] sequence<float> Matrix_11_16_f;
    sequence<Matrix_11_1_f> Matrix_11_1_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_2_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_3_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_4_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_5_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_6_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_7_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_8_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_9_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_10_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_11_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_12_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_13_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_14_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_15_fSeq;
    sequence<Matrix_11_1_f> Matrix_11_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  12>"] sequence<float> RowVector12f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  1>"] sequence<float> Vector12f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  12>"] sequence<float> Matrix12f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, -1>"] sequence<float> Matrix12Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  12>"] sequence<float> MatrixX12f;
    sequence<RowVector12f> RowVector12fSeq;
    sequence<Vector12f> Vector12fSeq;
    sequence<Matrix12f> Matrix12fSeq;
    sequence<Matrix12Xf> Matrix12XfSeq;
    sequence<MatrixX12f> MatrixX12fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  1>"] sequence<float> Matrix_12_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  2>"] sequence<float> Matrix_12_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  3>"] sequence<float> Matrix_12_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  4>"] sequence<float> Matrix_12_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  5>"] sequence<float> Matrix_12_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  6>"] sequence<float> Matrix_12_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  7>"] sequence<float> Matrix_12_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  8>"] sequence<float> Matrix_12_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12,  9>"] sequence<float> Matrix_12_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 10>"] sequence<float> Matrix_12_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 11>"] sequence<float> Matrix_12_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 12>"] sequence<float> Matrix_12_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 13>"] sequence<float> Matrix_12_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 14>"] sequence<float> Matrix_12_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 15>"] sequence<float> Matrix_12_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  12, 16>"] sequence<float> Matrix_12_16_f;
    sequence<Matrix_12_1_f> Matrix_12_1_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_2_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_3_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_4_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_5_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_6_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_7_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_8_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_9_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_10_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_11_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_12_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_13_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_14_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_15_fSeq;
    sequence<Matrix_12_1_f> Matrix_12_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  13>"] sequence<float> RowVector13f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  1>"] sequence<float> Vector13f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  13>"] sequence<float> Matrix13f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, -1>"] sequence<float> Matrix13Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  13>"] sequence<float> MatrixX13f;
    sequence<RowVector13f> RowVector13fSeq;
    sequence<Vector13f> Vector13fSeq;
    sequence<Matrix13f> Matrix13fSeq;
    sequence<Matrix13Xf> Matrix13XfSeq;
    sequence<MatrixX13f> MatrixX13fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  1>"] sequence<float> Matrix_13_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  2>"] sequence<float> Matrix_13_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  3>"] sequence<float> Matrix_13_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  4>"] sequence<float> Matrix_13_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  5>"] sequence<float> Matrix_13_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  6>"] sequence<float> Matrix_13_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  7>"] sequence<float> Matrix_13_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  8>"] sequence<float> Matrix_13_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13,  9>"] sequence<float> Matrix_13_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 10>"] sequence<float> Matrix_13_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 11>"] sequence<float> Matrix_13_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 12>"] sequence<float> Matrix_13_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 13>"] sequence<float> Matrix_13_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 14>"] sequence<float> Matrix_13_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 15>"] sequence<float> Matrix_13_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  13, 16>"] sequence<float> Matrix_13_16_f;
    sequence<Matrix_13_1_f> Matrix_13_1_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_2_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_3_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_4_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_5_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_6_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_7_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_8_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_9_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_10_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_11_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_12_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_13_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_14_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_15_fSeq;
    sequence<Matrix_13_1_f> Matrix_13_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  14>"] sequence<float> RowVector14f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  1>"] sequence<float> Vector14f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  14>"] sequence<float> Matrix14f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, -1>"] sequence<float> Matrix14Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  14>"] sequence<float> MatrixX14f;
    sequence<RowVector14f> RowVector14fSeq;
    sequence<Vector14f> Vector14fSeq;
    sequence<Matrix14f> Matrix14fSeq;
    sequence<Matrix14Xf> Matrix14XfSeq;
    sequence<MatrixX14f> MatrixX14fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  1>"] sequence<float> Matrix_14_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  2>"] sequence<float> Matrix_14_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  3>"] sequence<float> Matrix_14_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  4>"] sequence<float> Matrix_14_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  5>"] sequence<float> Matrix_14_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  6>"] sequence<float> Matrix_14_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  7>"] sequence<float> Matrix_14_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  8>"] sequence<float> Matrix_14_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14,  9>"] sequence<float> Matrix_14_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 10>"] sequence<float> Matrix_14_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 11>"] sequence<float> Matrix_14_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 12>"] sequence<float> Matrix_14_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 13>"] sequence<float> Matrix_14_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 14>"] sequence<float> Matrix_14_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 15>"] sequence<float> Matrix_14_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  14, 16>"] sequence<float> Matrix_14_16_f;
    sequence<Matrix_14_1_f> Matrix_14_1_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_2_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_3_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_4_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_5_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_6_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_7_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_8_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_9_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_10_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_11_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_12_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_13_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_14_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_15_fSeq;
    sequence<Matrix_14_1_f> Matrix_14_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  15>"] sequence<float> RowVector15f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  1>"] sequence<float> Vector15f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  15>"] sequence<float> Matrix15f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, -1>"] sequence<float> Matrix15Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  15>"] sequence<float> MatrixX15f;
    sequence<RowVector15f> RowVector15fSeq;
    sequence<Vector15f> Vector15fSeq;
    sequence<Matrix15f> Matrix15fSeq;
    sequence<Matrix15Xf> Matrix15XfSeq;
    sequence<MatrixX15f> MatrixX15fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  1>"] sequence<float> Matrix_15_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  2>"] sequence<float> Matrix_15_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  3>"] sequence<float> Matrix_15_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  4>"] sequence<float> Matrix_15_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  5>"] sequence<float> Matrix_15_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  6>"] sequence<float> Matrix_15_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  7>"] sequence<float> Matrix_15_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  8>"] sequence<float> Matrix_15_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15,  9>"] sequence<float> Matrix_15_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 10>"] sequence<float> Matrix_15_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 11>"] sequence<float> Matrix_15_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 12>"] sequence<float> Matrix_15_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 13>"] sequence<float> Matrix_15_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 14>"] sequence<float> Matrix_15_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 15>"] sequence<float> Matrix_15_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  15, 16>"] sequence<float> Matrix_15_16_f;
    sequence<Matrix_15_1_f> Matrix_15_1_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_2_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_3_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_4_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_5_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_6_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_7_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_8_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_9_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_10_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_11_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_12_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_13_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_14_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_15_fSeq;
    sequence<Matrix_15_1_f> Matrix_15_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1,  16>"] sequence<float> RowVector16f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  1>"] sequence<float> Vector16f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  16>"] sequence<float> Matrix16f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, -1>"] sequence<float> Matrix16Xf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  16>"] sequence<float> MatrixX16f;
    sequence<RowVector16f> RowVector16fSeq;
    sequence<Vector16f> Vector16fSeq;
    sequence<Matrix16f> Matrix16fSeq;
    sequence<Matrix16Xf> Matrix16XfSeq;
    sequence<MatrixX16f> MatrixX16fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  1>"] sequence<float> Matrix_16_1_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  2>"] sequence<float> Matrix_16_2_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  3>"] sequence<float> Matrix_16_3_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  4>"] sequence<float> Matrix_16_4_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  5>"] sequence<float> Matrix_16_5_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  6>"] sequence<float> Matrix_16_6_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  7>"] sequence<float> Matrix_16_7_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  8>"] sequence<float> Matrix_16_8_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16,  9>"] sequence<float> Matrix_16_9_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 10>"] sequence<float> Matrix_16_10_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 11>"] sequence<float> Matrix_16_11_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 12>"] sequence<float> Matrix_16_12_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 13>"] sequence<float> Matrix_16_13_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 14>"] sequence<float> Matrix_16_14_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 15>"] sequence<float> Matrix_16_15_f;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  16, 16>"] sequence<float> Matrix_16_16_f;
    sequence<Matrix_16_1_f> Matrix_16_1_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_2_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_3_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_4_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_5_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_6_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_7_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_8_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_9_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_10_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_11_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_12_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_13_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_14_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_15_fSeq;
    sequence<Matrix_16_1_f> Matrix_16_16_fSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Float,  1, -1>"] sequence<float> RowVectorXf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1,  1>"] sequence<float> VectorXf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1, -1>"] sequence<float> MatrixXXf;
    ["cpp:type:::Eigen::Matrix<::Ice::Float, -1, -1>"] sequence<float> MatrixXf;
    sequence<RowVectorXf> RowVectorXfSeq;
    sequence<VectorXf> VectorXfSeq;
    sequence<MatrixXXf> MatrixXXfSeq;
    sequence<MatrixXf> MatrixXfSeq;

    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  1>"] sequence<double> RowVector1d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  1>"] sequence<double> Vector1d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  1>"] sequence<double> Matrix1d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, -1>"] sequence<double> Matrix1Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  1>"] sequence<double> MatrixX1d;
    sequence<RowVector1d> RowVector1dSeq;
    sequence<Vector1d> Vector1dSeq;
    sequence<Matrix1d> Matrix1dSeq;
    sequence<Matrix1Xd> Matrix1XdSeq;
    sequence<MatrixX1d> MatrixX1dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  1>"] sequence<double> Matrix_1_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  2>"] sequence<double> Matrix_1_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  3>"] sequence<double> Matrix_1_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  4>"] sequence<double> Matrix_1_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  5>"] sequence<double> Matrix_1_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  6>"] sequence<double> Matrix_1_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  7>"] sequence<double> Matrix_1_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  8>"] sequence<double> Matrix_1_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  9>"] sequence<double> Matrix_1_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 10>"] sequence<double> Matrix_1_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 11>"] sequence<double> Matrix_1_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 12>"] sequence<double> Matrix_1_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 13>"] sequence<double> Matrix_1_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 14>"] sequence<double> Matrix_1_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 15>"] sequence<double> Matrix_1_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, 16>"] sequence<double> Matrix_1_16_d;
    sequence<Matrix_1_1_d> Matrix_1_1_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_2_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_3_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_4_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_5_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_6_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_7_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_8_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_9_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_10_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_11_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_12_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_13_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_14_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_15_dSeq;
    sequence<Matrix_1_1_d> Matrix_1_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  2>"] sequence<double> RowVector2d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  1>"] sequence<double> Vector2d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  2>"] sequence<double> Matrix2d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, -1>"] sequence<double> Matrix2Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  2>"] sequence<double> MatrixX2d;
    sequence<RowVector2d> RowVector2dSeq;
    sequence<Vector2d> Vector2dSeq;
    sequence<Matrix2d> Matrix2dSeq;
    sequence<Matrix2Xd> Matrix2XdSeq;
    sequence<MatrixX2d> MatrixX2dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  1>"] sequence<double> Matrix_2_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  2>"] sequence<double> Matrix_2_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  3>"] sequence<double> Matrix_2_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  4>"] sequence<double> Matrix_2_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  5>"] sequence<double> Matrix_2_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  6>"] sequence<double> Matrix_2_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  7>"] sequence<double> Matrix_2_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  8>"] sequence<double> Matrix_2_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2,  9>"] sequence<double> Matrix_2_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 10>"] sequence<double> Matrix_2_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 11>"] sequence<double> Matrix_2_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 12>"] sequence<double> Matrix_2_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 13>"] sequence<double> Matrix_2_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 14>"] sequence<double> Matrix_2_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 15>"] sequence<double> Matrix_2_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  2, 16>"] sequence<double> Matrix_2_16_d;
    sequence<Matrix_2_1_d> Matrix_2_1_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_2_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_3_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_4_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_5_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_6_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_7_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_8_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_9_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_10_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_11_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_12_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_13_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_14_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_15_dSeq;
    sequence<Matrix_2_1_d> Matrix_2_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  3>"] sequence<double> RowVector3d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  1>"] sequence<double> Vector3d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  3>"] sequence<double> Matrix3d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, -1>"] sequence<double> Matrix3Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  3>"] sequence<double> MatrixX3d;
    sequence<RowVector3d> RowVector3dSeq;
    sequence<Vector3d> Vector3dSeq;
    sequence<Matrix3d> Matrix3dSeq;
    sequence<Matrix3Xd> Matrix3XdSeq;
    sequence<MatrixX3d> MatrixX3dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  1>"] sequence<double> Matrix_3_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  2>"] sequence<double> Matrix_3_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  3>"] sequence<double> Matrix_3_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  4>"] sequence<double> Matrix_3_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  5>"] sequence<double> Matrix_3_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  6>"] sequence<double> Matrix_3_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  7>"] sequence<double> Matrix_3_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  8>"] sequence<double> Matrix_3_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3,  9>"] sequence<double> Matrix_3_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 10>"] sequence<double> Matrix_3_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 11>"] sequence<double> Matrix_3_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 12>"] sequence<double> Matrix_3_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 13>"] sequence<double> Matrix_3_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 14>"] sequence<double> Matrix_3_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 15>"] sequence<double> Matrix_3_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  3, 16>"] sequence<double> Matrix_3_16_d;
    sequence<Matrix_3_1_d> Matrix_3_1_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_2_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_3_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_4_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_5_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_6_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_7_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_8_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_9_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_10_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_11_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_12_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_13_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_14_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_15_dSeq;
    sequence<Matrix_3_1_d> Matrix_3_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  4>"] sequence<double> RowVector4d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  1>"] sequence<double> Vector4d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  4>"] sequence<double> Matrix4d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, -1>"] sequence<double> Matrix4Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  4>"] sequence<double> MatrixX4d;
    sequence<RowVector4d> RowVector4dSeq;
    sequence<Vector4d> Vector4dSeq;
    sequence<Matrix4d> Matrix4dSeq;
    sequence<Matrix4Xd> Matrix4XdSeq;
    sequence<MatrixX4d> MatrixX4dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  1>"] sequence<double> Matrix_4_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  2>"] sequence<double> Matrix_4_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  3>"] sequence<double> Matrix_4_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  4>"] sequence<double> Matrix_4_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  5>"] sequence<double> Matrix_4_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  6>"] sequence<double> Matrix_4_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  7>"] sequence<double> Matrix_4_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  8>"] sequence<double> Matrix_4_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4,  9>"] sequence<double> Matrix_4_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 10>"] sequence<double> Matrix_4_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 11>"] sequence<double> Matrix_4_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 12>"] sequence<double> Matrix_4_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 13>"] sequence<double> Matrix_4_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 14>"] sequence<double> Matrix_4_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 15>"] sequence<double> Matrix_4_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  4, 16>"] sequence<double> Matrix_4_16_d;
    sequence<Matrix_4_1_d> Matrix_4_1_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_2_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_3_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_4_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_5_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_6_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_7_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_8_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_9_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_10_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_11_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_12_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_13_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_14_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_15_dSeq;
    sequence<Matrix_4_1_d> Matrix_4_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  5>"] sequence<double> RowVector5d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  1>"] sequence<double> Vector5d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  5>"] sequence<double> Matrix5d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, -1>"] sequence<double> Matrix5Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  5>"] sequence<double> MatrixX5d;
    sequence<RowVector5d> RowVector5dSeq;
    sequence<Vector5d> Vector5dSeq;
    sequence<Matrix5d> Matrix5dSeq;
    sequence<Matrix5Xd> Matrix5XdSeq;
    sequence<MatrixX5d> MatrixX5dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  1>"] sequence<double> Matrix_5_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  2>"] sequence<double> Matrix_5_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  3>"] sequence<double> Matrix_5_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  4>"] sequence<double> Matrix_5_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  5>"] sequence<double> Matrix_5_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  6>"] sequence<double> Matrix_5_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  7>"] sequence<double> Matrix_5_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  8>"] sequence<double> Matrix_5_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5,  9>"] sequence<double> Matrix_5_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 10>"] sequence<double> Matrix_5_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 11>"] sequence<double> Matrix_5_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 12>"] sequence<double> Matrix_5_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 13>"] sequence<double> Matrix_5_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 14>"] sequence<double> Matrix_5_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 15>"] sequence<double> Matrix_5_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  5, 16>"] sequence<double> Matrix_5_16_d;
    sequence<Matrix_5_1_d> Matrix_5_1_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_2_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_3_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_4_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_5_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_6_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_7_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_8_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_9_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_10_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_11_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_12_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_13_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_14_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_15_dSeq;
    sequence<Matrix_5_1_d> Matrix_5_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  6>"] sequence<double> RowVector6d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  1>"] sequence<double> Vector6d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  6>"] sequence<double> Matrix6d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, -1>"] sequence<double> Matrix6Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  6>"] sequence<double> MatrixX6d;
    sequence<RowVector6d> RowVector6dSeq;
    sequence<Vector6d> Vector6dSeq;
    sequence<Matrix6d> Matrix6dSeq;
    sequence<Matrix6Xd> Matrix6XdSeq;
    sequence<MatrixX6d> MatrixX6dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  1>"] sequence<double> Matrix_6_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  2>"] sequence<double> Matrix_6_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  3>"] sequence<double> Matrix_6_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  4>"] sequence<double> Matrix_6_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  5>"] sequence<double> Matrix_6_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  6>"] sequence<double> Matrix_6_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  7>"] sequence<double> Matrix_6_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  8>"] sequence<double> Matrix_6_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6,  9>"] sequence<double> Matrix_6_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 10>"] sequence<double> Matrix_6_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 11>"] sequence<double> Matrix_6_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 12>"] sequence<double> Matrix_6_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 13>"] sequence<double> Matrix_6_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 14>"] sequence<double> Matrix_6_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 15>"] sequence<double> Matrix_6_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  6, 16>"] sequence<double> Matrix_6_16_d;
    sequence<Matrix_6_1_d> Matrix_6_1_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_2_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_3_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_4_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_5_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_6_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_7_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_8_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_9_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_10_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_11_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_12_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_13_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_14_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_15_dSeq;
    sequence<Matrix_6_1_d> Matrix_6_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  7>"] sequence<double> RowVector7d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  1>"] sequence<double> Vector7d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  7>"] sequence<double> Matrix7d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, -1>"] sequence<double> Matrix7Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  7>"] sequence<double> MatrixX7d;
    sequence<RowVector7d> RowVector7dSeq;
    sequence<Vector7d> Vector7dSeq;
    sequence<Matrix7d> Matrix7dSeq;
    sequence<Matrix7Xd> Matrix7XdSeq;
    sequence<MatrixX7d> MatrixX7dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  1>"] sequence<double> Matrix_7_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  2>"] sequence<double> Matrix_7_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  3>"] sequence<double> Matrix_7_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  4>"] sequence<double> Matrix_7_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  5>"] sequence<double> Matrix_7_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  6>"] sequence<double> Matrix_7_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  7>"] sequence<double> Matrix_7_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  8>"] sequence<double> Matrix_7_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7,  9>"] sequence<double> Matrix_7_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 10>"] sequence<double> Matrix_7_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 11>"] sequence<double> Matrix_7_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 12>"] sequence<double> Matrix_7_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 13>"] sequence<double> Matrix_7_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 14>"] sequence<double> Matrix_7_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 15>"] sequence<double> Matrix_7_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  7, 16>"] sequence<double> Matrix_7_16_d;
    sequence<Matrix_7_1_d> Matrix_7_1_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_2_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_3_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_4_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_5_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_6_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_7_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_8_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_9_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_10_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_11_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_12_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_13_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_14_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_15_dSeq;
    sequence<Matrix_7_1_d> Matrix_7_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  8>"] sequence<double> RowVector8d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  1>"] sequence<double> Vector8d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  8>"] sequence<double> Matrix8d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, -1>"] sequence<double> Matrix8Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  8>"] sequence<double> MatrixX8d;
    sequence<RowVector8d> RowVector8dSeq;
    sequence<Vector8d> Vector8dSeq;
    sequence<Matrix8d> Matrix8dSeq;
    sequence<Matrix8Xd> Matrix8XdSeq;
    sequence<MatrixX8d> MatrixX8dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  1>"] sequence<double> Matrix_8_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  2>"] sequence<double> Matrix_8_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  3>"] sequence<double> Matrix_8_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  4>"] sequence<double> Matrix_8_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  5>"] sequence<double> Matrix_8_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  6>"] sequence<double> Matrix_8_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  7>"] sequence<double> Matrix_8_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  8>"] sequence<double> Matrix_8_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8,  9>"] sequence<double> Matrix_8_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 10>"] sequence<double> Matrix_8_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 11>"] sequence<double> Matrix_8_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 12>"] sequence<double> Matrix_8_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 13>"] sequence<double> Matrix_8_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 14>"] sequence<double> Matrix_8_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 15>"] sequence<double> Matrix_8_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  8, 16>"] sequence<double> Matrix_8_16_d;
    sequence<Matrix_8_1_d> Matrix_8_1_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_2_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_3_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_4_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_5_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_6_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_7_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_8_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_9_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_10_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_11_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_12_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_13_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_14_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_15_dSeq;
    sequence<Matrix_8_1_d> Matrix_8_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  9>"] sequence<double> RowVector9d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  1>"] sequence<double> Vector9d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  9>"] sequence<double> Matrix9d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, -1>"] sequence<double> Matrix9Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  9>"] sequence<double> MatrixX9d;
    sequence<RowVector9d> RowVector9dSeq;
    sequence<Vector9d> Vector9dSeq;
    sequence<Matrix9d> Matrix9dSeq;
    sequence<Matrix9Xd> Matrix9XdSeq;
    sequence<MatrixX9d> MatrixX9dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  1>"] sequence<double> Matrix_9_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  2>"] sequence<double> Matrix_9_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  3>"] sequence<double> Matrix_9_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  4>"] sequence<double> Matrix_9_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  5>"] sequence<double> Matrix_9_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  6>"] sequence<double> Matrix_9_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  7>"] sequence<double> Matrix_9_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  8>"] sequence<double> Matrix_9_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9,  9>"] sequence<double> Matrix_9_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 10>"] sequence<double> Matrix_9_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 11>"] sequence<double> Matrix_9_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 12>"] sequence<double> Matrix_9_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 13>"] sequence<double> Matrix_9_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 14>"] sequence<double> Matrix_9_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 15>"] sequence<double> Matrix_9_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  9, 16>"] sequence<double> Matrix_9_16_d;
    sequence<Matrix_9_1_d> Matrix_9_1_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_2_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_3_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_4_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_5_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_6_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_7_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_8_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_9_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_10_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_11_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_12_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_13_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_14_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_15_dSeq;
    sequence<Matrix_9_1_d> Matrix_9_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  10>"] sequence<double> RowVector10d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  1>"] sequence<double> Vector10d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  10>"] sequence<double> Matrix10d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, -1>"] sequence<double> Matrix10Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  10>"] sequence<double> MatrixX10d;
    sequence<RowVector10d> RowVector10dSeq;
    sequence<Vector10d> Vector10dSeq;
    sequence<Matrix10d> Matrix10dSeq;
    sequence<Matrix10Xd> Matrix10XdSeq;
    sequence<MatrixX10d> MatrixX10dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  1>"] sequence<double> Matrix_10_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  2>"] sequence<double> Matrix_10_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  3>"] sequence<double> Matrix_10_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  4>"] sequence<double> Matrix_10_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  5>"] sequence<double> Matrix_10_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  6>"] sequence<double> Matrix_10_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  7>"] sequence<double> Matrix_10_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  8>"] sequence<double> Matrix_10_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10,  9>"] sequence<double> Matrix_10_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 10>"] sequence<double> Matrix_10_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 11>"] sequence<double> Matrix_10_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 12>"] sequence<double> Matrix_10_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 13>"] sequence<double> Matrix_10_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 14>"] sequence<double> Matrix_10_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 15>"] sequence<double> Matrix_10_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  10, 16>"] sequence<double> Matrix_10_16_d;
    sequence<Matrix_10_1_d> Matrix_10_1_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_2_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_3_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_4_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_5_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_6_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_7_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_8_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_9_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_10_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_11_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_12_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_13_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_14_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_15_dSeq;
    sequence<Matrix_10_1_d> Matrix_10_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  11>"] sequence<double> RowVector11d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  1>"] sequence<double> Vector11d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  11>"] sequence<double> Matrix11d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, -1>"] sequence<double> Matrix11Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  11>"] sequence<double> MatrixX11d;
    sequence<RowVector11d> RowVector11dSeq;
    sequence<Vector11d> Vector11dSeq;
    sequence<Matrix11d> Matrix11dSeq;
    sequence<Matrix11Xd> Matrix11XdSeq;
    sequence<MatrixX11d> MatrixX11dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  1>"] sequence<double> Matrix_11_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  2>"] sequence<double> Matrix_11_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  3>"] sequence<double> Matrix_11_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  4>"] sequence<double> Matrix_11_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  5>"] sequence<double> Matrix_11_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  6>"] sequence<double> Matrix_11_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  7>"] sequence<double> Matrix_11_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  8>"] sequence<double> Matrix_11_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11,  9>"] sequence<double> Matrix_11_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 10>"] sequence<double> Matrix_11_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 11>"] sequence<double> Matrix_11_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 12>"] sequence<double> Matrix_11_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 13>"] sequence<double> Matrix_11_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 14>"] sequence<double> Matrix_11_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 15>"] sequence<double> Matrix_11_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  11, 16>"] sequence<double> Matrix_11_16_d;
    sequence<Matrix_11_1_d> Matrix_11_1_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_2_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_3_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_4_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_5_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_6_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_7_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_8_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_9_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_10_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_11_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_12_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_13_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_14_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_15_dSeq;
    sequence<Matrix_11_1_d> Matrix_11_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  12>"] sequence<double> RowVector12d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  1>"] sequence<double> Vector12d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  12>"] sequence<double> Matrix12d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, -1>"] sequence<double> Matrix12Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  12>"] sequence<double> MatrixX12d;
    sequence<RowVector12d> RowVector12dSeq;
    sequence<Vector12d> Vector12dSeq;
    sequence<Matrix12d> Matrix12dSeq;
    sequence<Matrix12Xd> Matrix12XdSeq;
    sequence<MatrixX12d> MatrixX12dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  1>"] sequence<double> Matrix_12_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  2>"] sequence<double> Matrix_12_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  3>"] sequence<double> Matrix_12_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  4>"] sequence<double> Matrix_12_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  5>"] sequence<double> Matrix_12_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  6>"] sequence<double> Matrix_12_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  7>"] sequence<double> Matrix_12_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  8>"] sequence<double> Matrix_12_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12,  9>"] sequence<double> Matrix_12_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 10>"] sequence<double> Matrix_12_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 11>"] sequence<double> Matrix_12_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 12>"] sequence<double> Matrix_12_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 13>"] sequence<double> Matrix_12_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 14>"] sequence<double> Matrix_12_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 15>"] sequence<double> Matrix_12_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  12, 16>"] sequence<double> Matrix_12_16_d;
    sequence<Matrix_12_1_d> Matrix_12_1_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_2_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_3_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_4_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_5_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_6_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_7_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_8_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_9_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_10_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_11_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_12_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_13_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_14_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_15_dSeq;
    sequence<Matrix_12_1_d> Matrix_12_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  13>"] sequence<double> RowVector13d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  1>"] sequence<double> Vector13d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  13>"] sequence<double> Matrix13d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, -1>"] sequence<double> Matrix13Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  13>"] sequence<double> MatrixX13d;
    sequence<RowVector13d> RowVector13dSeq;
    sequence<Vector13d> Vector13dSeq;
    sequence<Matrix13d> Matrix13dSeq;
    sequence<Matrix13Xd> Matrix13XdSeq;
    sequence<MatrixX13d> MatrixX13dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  1>"] sequence<double> Matrix_13_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  2>"] sequence<double> Matrix_13_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  3>"] sequence<double> Matrix_13_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  4>"] sequence<double> Matrix_13_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  5>"] sequence<double> Matrix_13_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  6>"] sequence<double> Matrix_13_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  7>"] sequence<double> Matrix_13_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  8>"] sequence<double> Matrix_13_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13,  9>"] sequence<double> Matrix_13_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 10>"] sequence<double> Matrix_13_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 11>"] sequence<double> Matrix_13_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 12>"] sequence<double> Matrix_13_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 13>"] sequence<double> Matrix_13_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 14>"] sequence<double> Matrix_13_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 15>"] sequence<double> Matrix_13_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  13, 16>"] sequence<double> Matrix_13_16_d;
    sequence<Matrix_13_1_d> Matrix_13_1_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_2_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_3_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_4_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_5_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_6_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_7_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_8_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_9_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_10_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_11_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_12_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_13_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_14_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_15_dSeq;
    sequence<Matrix_13_1_d> Matrix_13_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  14>"] sequence<double> RowVector14d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  1>"] sequence<double> Vector14d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  14>"] sequence<double> Matrix14d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, -1>"] sequence<double> Matrix14Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  14>"] sequence<double> MatrixX14d;
    sequence<RowVector14d> RowVector14dSeq;
    sequence<Vector14d> Vector14dSeq;
    sequence<Matrix14d> Matrix14dSeq;
    sequence<Matrix14Xd> Matrix14XdSeq;
    sequence<MatrixX14d> MatrixX14dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  1>"] sequence<double> Matrix_14_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  2>"] sequence<double> Matrix_14_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  3>"] sequence<double> Matrix_14_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  4>"] sequence<double> Matrix_14_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  5>"] sequence<double> Matrix_14_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  6>"] sequence<double> Matrix_14_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  7>"] sequence<double> Matrix_14_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  8>"] sequence<double> Matrix_14_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14,  9>"] sequence<double> Matrix_14_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 10>"] sequence<double> Matrix_14_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 11>"] sequence<double> Matrix_14_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 12>"] sequence<double> Matrix_14_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 13>"] sequence<double> Matrix_14_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 14>"] sequence<double> Matrix_14_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 15>"] sequence<double> Matrix_14_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  14, 16>"] sequence<double> Matrix_14_16_d;
    sequence<Matrix_14_1_d> Matrix_14_1_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_2_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_3_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_4_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_5_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_6_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_7_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_8_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_9_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_10_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_11_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_12_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_13_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_14_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_15_dSeq;
    sequence<Matrix_14_1_d> Matrix_14_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  15>"] sequence<double> RowVector15d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  1>"] sequence<double> Vector15d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  15>"] sequence<double> Matrix15d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, -1>"] sequence<double> Matrix15Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  15>"] sequence<double> MatrixX15d;
    sequence<RowVector15d> RowVector15dSeq;
    sequence<Vector15d> Vector15dSeq;
    sequence<Matrix15d> Matrix15dSeq;
    sequence<Matrix15Xd> Matrix15XdSeq;
    sequence<MatrixX15d> MatrixX15dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  1>"] sequence<double> Matrix_15_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  2>"] sequence<double> Matrix_15_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  3>"] sequence<double> Matrix_15_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  4>"] sequence<double> Matrix_15_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  5>"] sequence<double> Matrix_15_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  6>"] sequence<double> Matrix_15_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  7>"] sequence<double> Matrix_15_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  8>"] sequence<double> Matrix_15_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15,  9>"] sequence<double> Matrix_15_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 10>"] sequence<double> Matrix_15_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 11>"] sequence<double> Matrix_15_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 12>"] sequence<double> Matrix_15_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 13>"] sequence<double> Matrix_15_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 14>"] sequence<double> Matrix_15_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 15>"] sequence<double> Matrix_15_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  15, 16>"] sequence<double> Matrix_15_16_d;
    sequence<Matrix_15_1_d> Matrix_15_1_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_2_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_3_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_4_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_5_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_6_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_7_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_8_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_9_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_10_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_11_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_12_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_13_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_14_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_15_dSeq;
    sequence<Matrix_15_1_d> Matrix_15_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1,  16>"] sequence<double> RowVector16d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  1>"] sequence<double> Vector16d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  16>"] sequence<double> Matrix16d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, -1>"] sequence<double> Matrix16Xd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  16>"] sequence<double> MatrixX16d;
    sequence<RowVector16d> RowVector16dSeq;
    sequence<Vector16d> Vector16dSeq;
    sequence<Matrix16d> Matrix16dSeq;
    sequence<Matrix16Xd> Matrix16XdSeq;
    sequence<MatrixX16d> MatrixX16dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  1>"] sequence<double> Matrix_16_1_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  2>"] sequence<double> Matrix_16_2_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  3>"] sequence<double> Matrix_16_3_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  4>"] sequence<double> Matrix_16_4_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  5>"] sequence<double> Matrix_16_5_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  6>"] sequence<double> Matrix_16_6_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  7>"] sequence<double> Matrix_16_7_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  8>"] sequence<double> Matrix_16_8_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16,  9>"] sequence<double> Matrix_16_9_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 10>"] sequence<double> Matrix_16_10_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 11>"] sequence<double> Matrix_16_11_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 12>"] sequence<double> Matrix_16_12_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 13>"] sequence<double> Matrix_16_13_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 14>"] sequence<double> Matrix_16_14_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 15>"] sequence<double> Matrix_16_15_d;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  16, 16>"] sequence<double> Matrix_16_16_d;
    sequence<Matrix_16_1_d> Matrix_16_1_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_2_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_3_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_4_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_5_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_6_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_7_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_8_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_9_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_10_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_11_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_12_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_13_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_14_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_15_dSeq;
    sequence<Matrix_16_1_d> Matrix_16_16_dSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Double,  1, -1>"] sequence<double> RowVectorXd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1,  1>"] sequence<double> VectorXd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1, -1>"] sequence<double> MatrixXXd;
    ["cpp:type:::Eigen::Matrix<::Ice::Double, -1, -1>"] sequence<double> MatrixXd;
    sequence<RowVectorXd> RowVectorXdSeq;
    sequence<VectorXd> VectorXdSeq;
    sequence<MatrixXXd> MatrixXXdSeq;
    sequence<MatrixXd> MatrixXdSeq;

    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  1>"] sequence<int> RowVector1i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  1>"] sequence<int> Vector1i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  1>"] sequence<int> Matrix1i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, -1>"] sequence<int> Matrix1Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  1>"] sequence<int> MatrixX1i;
    sequence<RowVector1i> RowVector1iSeq;
    sequence<Vector1i> Vector1iSeq;
    sequence<Matrix1i> Matrix1iSeq;
    sequence<Matrix1Xi> Matrix1XiSeq;
    sequence<MatrixX1i> MatrixX1iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  1>"] sequence<int> Matrix_1_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  2>"] sequence<int> Matrix_1_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  3>"] sequence<int> Matrix_1_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  4>"] sequence<int> Matrix_1_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  5>"] sequence<int> Matrix_1_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  6>"] sequence<int> Matrix_1_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  7>"] sequence<int> Matrix_1_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  8>"] sequence<int> Matrix_1_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  9>"] sequence<int> Matrix_1_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 10>"] sequence<int> Matrix_1_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 11>"] sequence<int> Matrix_1_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 12>"] sequence<int> Matrix_1_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 13>"] sequence<int> Matrix_1_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 14>"] sequence<int> Matrix_1_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 15>"] sequence<int> Matrix_1_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, 16>"] sequence<int> Matrix_1_16_i;
    sequence<Matrix_1_1_i> Matrix_1_1_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_2_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_3_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_4_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_5_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_6_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_7_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_8_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_9_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_10_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_11_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_12_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_13_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_14_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_15_iSeq;
    sequence<Matrix_1_1_i> Matrix_1_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  2>"] sequence<int> RowVector2i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  1>"] sequence<int> Vector2i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  2>"] sequence<int> Matrix2i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, -1>"] sequence<int> Matrix2Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  2>"] sequence<int> MatrixX2i;
    sequence<RowVector2i> RowVector2iSeq;
    sequence<Vector2i> Vector2iSeq;
    sequence<Matrix2i> Matrix2iSeq;
    sequence<Matrix2Xi> Matrix2XiSeq;
    sequence<MatrixX2i> MatrixX2iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  1>"] sequence<int> Matrix_2_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  2>"] sequence<int> Matrix_2_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  3>"] sequence<int> Matrix_2_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  4>"] sequence<int> Matrix_2_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  5>"] sequence<int> Matrix_2_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  6>"] sequence<int> Matrix_2_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  7>"] sequence<int> Matrix_2_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  8>"] sequence<int> Matrix_2_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2,  9>"] sequence<int> Matrix_2_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 10>"] sequence<int> Matrix_2_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 11>"] sequence<int> Matrix_2_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 12>"] sequence<int> Matrix_2_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 13>"] sequence<int> Matrix_2_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 14>"] sequence<int> Matrix_2_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 15>"] sequence<int> Matrix_2_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  2, 16>"] sequence<int> Matrix_2_16_i;
    sequence<Matrix_2_1_i> Matrix_2_1_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_2_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_3_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_4_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_5_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_6_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_7_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_8_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_9_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_10_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_11_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_12_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_13_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_14_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_15_iSeq;
    sequence<Matrix_2_1_i> Matrix_2_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  3>"] sequence<int> RowVector3i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  1>"] sequence<int> Vector3i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  3>"] sequence<int> Matrix3i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, -1>"] sequence<int> Matrix3Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  3>"] sequence<int> MatrixX3i;
    sequence<RowVector3i> RowVector3iSeq;
    sequence<Vector3i> Vector3iSeq;
    sequence<Matrix3i> Matrix3iSeq;
    sequence<Matrix3Xi> Matrix3XiSeq;
    sequence<MatrixX3i> MatrixX3iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  1>"] sequence<int> Matrix_3_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  2>"] sequence<int> Matrix_3_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  3>"] sequence<int> Matrix_3_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  4>"] sequence<int> Matrix_3_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  5>"] sequence<int> Matrix_3_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  6>"] sequence<int> Matrix_3_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  7>"] sequence<int> Matrix_3_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  8>"] sequence<int> Matrix_3_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3,  9>"] sequence<int> Matrix_3_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 10>"] sequence<int> Matrix_3_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 11>"] sequence<int> Matrix_3_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 12>"] sequence<int> Matrix_3_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 13>"] sequence<int> Matrix_3_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 14>"] sequence<int> Matrix_3_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 15>"] sequence<int> Matrix_3_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  3, 16>"] sequence<int> Matrix_3_16_i;
    sequence<Matrix_3_1_i> Matrix_3_1_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_2_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_3_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_4_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_5_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_6_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_7_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_8_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_9_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_10_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_11_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_12_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_13_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_14_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_15_iSeq;
    sequence<Matrix_3_1_i> Matrix_3_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  4>"] sequence<int> RowVector4i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  1>"] sequence<int> Vector4i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  4>"] sequence<int> Matrix4i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, -1>"] sequence<int> Matrix4Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  4>"] sequence<int> MatrixX4i;
    sequence<RowVector4i> RowVector4iSeq;
    sequence<Vector4i> Vector4iSeq;
    sequence<Matrix4i> Matrix4iSeq;
    sequence<Matrix4Xi> Matrix4XiSeq;
    sequence<MatrixX4i> MatrixX4iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  1>"] sequence<int> Matrix_4_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  2>"] sequence<int> Matrix_4_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  3>"] sequence<int> Matrix_4_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  4>"] sequence<int> Matrix_4_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  5>"] sequence<int> Matrix_4_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  6>"] sequence<int> Matrix_4_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  7>"] sequence<int> Matrix_4_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  8>"] sequence<int> Matrix_4_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4,  9>"] sequence<int> Matrix_4_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 10>"] sequence<int> Matrix_4_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 11>"] sequence<int> Matrix_4_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 12>"] sequence<int> Matrix_4_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 13>"] sequence<int> Matrix_4_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 14>"] sequence<int> Matrix_4_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 15>"] sequence<int> Matrix_4_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  4, 16>"] sequence<int> Matrix_4_16_i;
    sequence<Matrix_4_1_i> Matrix_4_1_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_2_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_3_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_4_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_5_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_6_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_7_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_8_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_9_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_10_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_11_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_12_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_13_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_14_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_15_iSeq;
    sequence<Matrix_4_1_i> Matrix_4_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  5>"] sequence<int> RowVector5i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  1>"] sequence<int> Vector5i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  5>"] sequence<int> Matrix5i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, -1>"] sequence<int> Matrix5Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  5>"] sequence<int> MatrixX5i;
    sequence<RowVector5i> RowVector5iSeq;
    sequence<Vector5i> Vector5iSeq;
    sequence<Matrix5i> Matrix5iSeq;
    sequence<Matrix5Xi> Matrix5XiSeq;
    sequence<MatrixX5i> MatrixX5iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  1>"] sequence<int> Matrix_5_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  2>"] sequence<int> Matrix_5_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  3>"] sequence<int> Matrix_5_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  4>"] sequence<int> Matrix_5_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  5>"] sequence<int> Matrix_5_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  6>"] sequence<int> Matrix_5_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  7>"] sequence<int> Matrix_5_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  8>"] sequence<int> Matrix_5_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5,  9>"] sequence<int> Matrix_5_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 10>"] sequence<int> Matrix_5_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 11>"] sequence<int> Matrix_5_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 12>"] sequence<int> Matrix_5_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 13>"] sequence<int> Matrix_5_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 14>"] sequence<int> Matrix_5_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 15>"] sequence<int> Matrix_5_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  5, 16>"] sequence<int> Matrix_5_16_i;
    sequence<Matrix_5_1_i> Matrix_5_1_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_2_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_3_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_4_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_5_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_6_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_7_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_8_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_9_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_10_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_11_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_12_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_13_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_14_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_15_iSeq;
    sequence<Matrix_5_1_i> Matrix_5_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  6>"] sequence<int> RowVector6i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  1>"] sequence<int> Vector6i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  6>"] sequence<int> Matrix6i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, -1>"] sequence<int> Matrix6Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  6>"] sequence<int> MatrixX6i;
    sequence<RowVector6i> RowVector6iSeq;
    sequence<Vector6i> Vector6iSeq;
    sequence<Matrix6i> Matrix6iSeq;
    sequence<Matrix6Xi> Matrix6XiSeq;
    sequence<MatrixX6i> MatrixX6iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  1>"] sequence<int> Matrix_6_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  2>"] sequence<int> Matrix_6_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  3>"] sequence<int> Matrix_6_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  4>"] sequence<int> Matrix_6_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  5>"] sequence<int> Matrix_6_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  6>"] sequence<int> Matrix_6_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  7>"] sequence<int> Matrix_6_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  8>"] sequence<int> Matrix_6_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6,  9>"] sequence<int> Matrix_6_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 10>"] sequence<int> Matrix_6_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 11>"] sequence<int> Matrix_6_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 12>"] sequence<int> Matrix_6_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 13>"] sequence<int> Matrix_6_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 14>"] sequence<int> Matrix_6_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 15>"] sequence<int> Matrix_6_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  6, 16>"] sequence<int> Matrix_6_16_i;
    sequence<Matrix_6_1_i> Matrix_6_1_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_2_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_3_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_4_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_5_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_6_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_7_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_8_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_9_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_10_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_11_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_12_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_13_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_14_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_15_iSeq;
    sequence<Matrix_6_1_i> Matrix_6_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  7>"] sequence<int> RowVector7i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  1>"] sequence<int> Vector7i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  7>"] sequence<int> Matrix7i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, -1>"] sequence<int> Matrix7Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  7>"] sequence<int> MatrixX7i;
    sequence<RowVector7i> RowVector7iSeq;
    sequence<Vector7i> Vector7iSeq;
    sequence<Matrix7i> Matrix7iSeq;
    sequence<Matrix7Xi> Matrix7XiSeq;
    sequence<MatrixX7i> MatrixX7iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  1>"] sequence<int> Matrix_7_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  2>"] sequence<int> Matrix_7_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  3>"] sequence<int> Matrix_7_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  4>"] sequence<int> Matrix_7_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  5>"] sequence<int> Matrix_7_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  6>"] sequence<int> Matrix_7_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  7>"] sequence<int> Matrix_7_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  8>"] sequence<int> Matrix_7_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7,  9>"] sequence<int> Matrix_7_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 10>"] sequence<int> Matrix_7_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 11>"] sequence<int> Matrix_7_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 12>"] sequence<int> Matrix_7_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 13>"] sequence<int> Matrix_7_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 14>"] sequence<int> Matrix_7_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 15>"] sequence<int> Matrix_7_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  7, 16>"] sequence<int> Matrix_7_16_i;
    sequence<Matrix_7_1_i> Matrix_7_1_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_2_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_3_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_4_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_5_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_6_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_7_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_8_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_9_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_10_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_11_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_12_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_13_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_14_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_15_iSeq;
    sequence<Matrix_7_1_i> Matrix_7_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  8>"] sequence<int> RowVector8i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  1>"] sequence<int> Vector8i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  8>"] sequence<int> Matrix8i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, -1>"] sequence<int> Matrix8Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  8>"] sequence<int> MatrixX8i;
    sequence<RowVector8i> RowVector8iSeq;
    sequence<Vector8i> Vector8iSeq;
    sequence<Matrix8i> Matrix8iSeq;
    sequence<Matrix8Xi> Matrix8XiSeq;
    sequence<MatrixX8i> MatrixX8iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  1>"] sequence<int> Matrix_8_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  2>"] sequence<int> Matrix_8_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  3>"] sequence<int> Matrix_8_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  4>"] sequence<int> Matrix_8_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  5>"] sequence<int> Matrix_8_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  6>"] sequence<int> Matrix_8_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  7>"] sequence<int> Matrix_8_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  8>"] sequence<int> Matrix_8_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8,  9>"] sequence<int> Matrix_8_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 10>"] sequence<int> Matrix_8_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 11>"] sequence<int> Matrix_8_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 12>"] sequence<int> Matrix_8_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 13>"] sequence<int> Matrix_8_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 14>"] sequence<int> Matrix_8_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 15>"] sequence<int> Matrix_8_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  8, 16>"] sequence<int> Matrix_8_16_i;
    sequence<Matrix_8_1_i> Matrix_8_1_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_2_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_3_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_4_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_5_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_6_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_7_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_8_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_9_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_10_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_11_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_12_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_13_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_14_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_15_iSeq;
    sequence<Matrix_8_1_i> Matrix_8_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  9>"] sequence<int> RowVector9i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  1>"] sequence<int> Vector9i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  9>"] sequence<int> Matrix9i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, -1>"] sequence<int> Matrix9Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  9>"] sequence<int> MatrixX9i;
    sequence<RowVector9i> RowVector9iSeq;
    sequence<Vector9i> Vector9iSeq;
    sequence<Matrix9i> Matrix9iSeq;
    sequence<Matrix9Xi> Matrix9XiSeq;
    sequence<MatrixX9i> MatrixX9iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  1>"] sequence<int> Matrix_9_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  2>"] sequence<int> Matrix_9_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  3>"] sequence<int> Matrix_9_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  4>"] sequence<int> Matrix_9_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  5>"] sequence<int> Matrix_9_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  6>"] sequence<int> Matrix_9_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  7>"] sequence<int> Matrix_9_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  8>"] sequence<int> Matrix_9_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9,  9>"] sequence<int> Matrix_9_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 10>"] sequence<int> Matrix_9_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 11>"] sequence<int> Matrix_9_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 12>"] sequence<int> Matrix_9_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 13>"] sequence<int> Matrix_9_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 14>"] sequence<int> Matrix_9_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 15>"] sequence<int> Matrix_9_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  9, 16>"] sequence<int> Matrix_9_16_i;
    sequence<Matrix_9_1_i> Matrix_9_1_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_2_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_3_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_4_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_5_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_6_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_7_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_8_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_9_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_10_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_11_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_12_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_13_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_14_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_15_iSeq;
    sequence<Matrix_9_1_i> Matrix_9_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  10>"] sequence<int> RowVector10i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  1>"] sequence<int> Vector10i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  10>"] sequence<int> Matrix10i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, -1>"] sequence<int> Matrix10Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  10>"] sequence<int> MatrixX10i;
    sequence<RowVector10i> RowVector10iSeq;
    sequence<Vector10i> Vector10iSeq;
    sequence<Matrix10i> Matrix10iSeq;
    sequence<Matrix10Xi> Matrix10XiSeq;
    sequence<MatrixX10i> MatrixX10iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  1>"] sequence<int> Matrix_10_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  2>"] sequence<int> Matrix_10_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  3>"] sequence<int> Matrix_10_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  4>"] sequence<int> Matrix_10_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  5>"] sequence<int> Matrix_10_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  6>"] sequence<int> Matrix_10_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  7>"] sequence<int> Matrix_10_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  8>"] sequence<int> Matrix_10_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10,  9>"] sequence<int> Matrix_10_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 10>"] sequence<int> Matrix_10_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 11>"] sequence<int> Matrix_10_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 12>"] sequence<int> Matrix_10_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 13>"] sequence<int> Matrix_10_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 14>"] sequence<int> Matrix_10_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 15>"] sequence<int> Matrix_10_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  10, 16>"] sequence<int> Matrix_10_16_i;
    sequence<Matrix_10_1_i> Matrix_10_1_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_2_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_3_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_4_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_5_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_6_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_7_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_8_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_9_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_10_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_11_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_12_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_13_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_14_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_15_iSeq;
    sequence<Matrix_10_1_i> Matrix_10_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  11>"] sequence<int> RowVector11i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  1>"] sequence<int> Vector11i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  11>"] sequence<int> Matrix11i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, -1>"] sequence<int> Matrix11Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  11>"] sequence<int> MatrixX11i;
    sequence<RowVector11i> RowVector11iSeq;
    sequence<Vector11i> Vector11iSeq;
    sequence<Matrix11i> Matrix11iSeq;
    sequence<Matrix11Xi> Matrix11XiSeq;
    sequence<MatrixX11i> MatrixX11iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  1>"] sequence<int> Matrix_11_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  2>"] sequence<int> Matrix_11_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  3>"] sequence<int> Matrix_11_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  4>"] sequence<int> Matrix_11_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  5>"] sequence<int> Matrix_11_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  6>"] sequence<int> Matrix_11_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  7>"] sequence<int> Matrix_11_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  8>"] sequence<int> Matrix_11_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11,  9>"] sequence<int> Matrix_11_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 10>"] sequence<int> Matrix_11_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 11>"] sequence<int> Matrix_11_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 12>"] sequence<int> Matrix_11_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 13>"] sequence<int> Matrix_11_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 14>"] sequence<int> Matrix_11_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 15>"] sequence<int> Matrix_11_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  11, 16>"] sequence<int> Matrix_11_16_i;
    sequence<Matrix_11_1_i> Matrix_11_1_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_2_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_3_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_4_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_5_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_6_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_7_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_8_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_9_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_10_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_11_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_12_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_13_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_14_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_15_iSeq;
    sequence<Matrix_11_1_i> Matrix_11_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  12>"] sequence<int> RowVector12i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  1>"] sequence<int> Vector12i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  12>"] sequence<int> Matrix12i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, -1>"] sequence<int> Matrix12Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  12>"] sequence<int> MatrixX12i;
    sequence<RowVector12i> RowVector12iSeq;
    sequence<Vector12i> Vector12iSeq;
    sequence<Matrix12i> Matrix12iSeq;
    sequence<Matrix12Xi> Matrix12XiSeq;
    sequence<MatrixX12i> MatrixX12iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  1>"] sequence<int> Matrix_12_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  2>"] sequence<int> Matrix_12_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  3>"] sequence<int> Matrix_12_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  4>"] sequence<int> Matrix_12_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  5>"] sequence<int> Matrix_12_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  6>"] sequence<int> Matrix_12_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  7>"] sequence<int> Matrix_12_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  8>"] sequence<int> Matrix_12_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12,  9>"] sequence<int> Matrix_12_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 10>"] sequence<int> Matrix_12_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 11>"] sequence<int> Matrix_12_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 12>"] sequence<int> Matrix_12_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 13>"] sequence<int> Matrix_12_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 14>"] sequence<int> Matrix_12_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 15>"] sequence<int> Matrix_12_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  12, 16>"] sequence<int> Matrix_12_16_i;
    sequence<Matrix_12_1_i> Matrix_12_1_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_2_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_3_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_4_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_5_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_6_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_7_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_8_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_9_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_10_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_11_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_12_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_13_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_14_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_15_iSeq;
    sequence<Matrix_12_1_i> Matrix_12_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  13>"] sequence<int> RowVector13i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  1>"] sequence<int> Vector13i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  13>"] sequence<int> Matrix13i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, -1>"] sequence<int> Matrix13Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  13>"] sequence<int> MatrixX13i;
    sequence<RowVector13i> RowVector13iSeq;
    sequence<Vector13i> Vector13iSeq;
    sequence<Matrix13i> Matrix13iSeq;
    sequence<Matrix13Xi> Matrix13XiSeq;
    sequence<MatrixX13i> MatrixX13iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  1>"] sequence<int> Matrix_13_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  2>"] sequence<int> Matrix_13_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  3>"] sequence<int> Matrix_13_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  4>"] sequence<int> Matrix_13_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  5>"] sequence<int> Matrix_13_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  6>"] sequence<int> Matrix_13_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  7>"] sequence<int> Matrix_13_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  8>"] sequence<int> Matrix_13_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13,  9>"] sequence<int> Matrix_13_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 10>"] sequence<int> Matrix_13_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 11>"] sequence<int> Matrix_13_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 12>"] sequence<int> Matrix_13_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 13>"] sequence<int> Matrix_13_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 14>"] sequence<int> Matrix_13_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 15>"] sequence<int> Matrix_13_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  13, 16>"] sequence<int> Matrix_13_16_i;
    sequence<Matrix_13_1_i> Matrix_13_1_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_2_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_3_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_4_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_5_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_6_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_7_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_8_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_9_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_10_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_11_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_12_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_13_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_14_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_15_iSeq;
    sequence<Matrix_13_1_i> Matrix_13_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  14>"] sequence<int> RowVector14i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  1>"] sequence<int> Vector14i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  14>"] sequence<int> Matrix14i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, -1>"] sequence<int> Matrix14Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  14>"] sequence<int> MatrixX14i;
    sequence<RowVector14i> RowVector14iSeq;
    sequence<Vector14i> Vector14iSeq;
    sequence<Matrix14i> Matrix14iSeq;
    sequence<Matrix14Xi> Matrix14XiSeq;
    sequence<MatrixX14i> MatrixX14iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  1>"] sequence<int> Matrix_14_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  2>"] sequence<int> Matrix_14_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  3>"] sequence<int> Matrix_14_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  4>"] sequence<int> Matrix_14_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  5>"] sequence<int> Matrix_14_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  6>"] sequence<int> Matrix_14_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  7>"] sequence<int> Matrix_14_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  8>"] sequence<int> Matrix_14_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14,  9>"] sequence<int> Matrix_14_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 10>"] sequence<int> Matrix_14_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 11>"] sequence<int> Matrix_14_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 12>"] sequence<int> Matrix_14_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 13>"] sequence<int> Matrix_14_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 14>"] sequence<int> Matrix_14_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 15>"] sequence<int> Matrix_14_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  14, 16>"] sequence<int> Matrix_14_16_i;
    sequence<Matrix_14_1_i> Matrix_14_1_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_2_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_3_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_4_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_5_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_6_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_7_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_8_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_9_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_10_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_11_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_12_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_13_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_14_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_15_iSeq;
    sequence<Matrix_14_1_i> Matrix_14_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  15>"] sequence<int> RowVector15i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  1>"] sequence<int> Vector15i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  15>"] sequence<int> Matrix15i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, -1>"] sequence<int> Matrix15Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  15>"] sequence<int> MatrixX15i;
    sequence<RowVector15i> RowVector15iSeq;
    sequence<Vector15i> Vector15iSeq;
    sequence<Matrix15i> Matrix15iSeq;
    sequence<Matrix15Xi> Matrix15XiSeq;
    sequence<MatrixX15i> MatrixX15iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  1>"] sequence<int> Matrix_15_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  2>"] sequence<int> Matrix_15_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  3>"] sequence<int> Matrix_15_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  4>"] sequence<int> Matrix_15_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  5>"] sequence<int> Matrix_15_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  6>"] sequence<int> Matrix_15_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  7>"] sequence<int> Matrix_15_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  8>"] sequence<int> Matrix_15_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15,  9>"] sequence<int> Matrix_15_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 10>"] sequence<int> Matrix_15_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 11>"] sequence<int> Matrix_15_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 12>"] sequence<int> Matrix_15_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 13>"] sequence<int> Matrix_15_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 14>"] sequence<int> Matrix_15_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 15>"] sequence<int> Matrix_15_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  15, 16>"] sequence<int> Matrix_15_16_i;
    sequence<Matrix_15_1_i> Matrix_15_1_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_2_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_3_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_4_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_5_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_6_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_7_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_8_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_9_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_10_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_11_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_12_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_13_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_14_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_15_iSeq;
    sequence<Matrix_15_1_i> Matrix_15_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1,  16>"] sequence<int> RowVector16i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  1>"] sequence<int> Vector16i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  16>"] sequence<int> Matrix16i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, -1>"] sequence<int> Matrix16Xi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  16>"] sequence<int> MatrixX16i;
    sequence<RowVector16i> RowVector16iSeq;
    sequence<Vector16i> Vector16iSeq;
    sequence<Matrix16i> Matrix16iSeq;
    sequence<Matrix16Xi> Matrix16XiSeq;
    sequence<MatrixX16i> MatrixX16iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  1>"] sequence<int> Matrix_16_1_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  2>"] sequence<int> Matrix_16_2_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  3>"] sequence<int> Matrix_16_3_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  4>"] sequence<int> Matrix_16_4_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  5>"] sequence<int> Matrix_16_5_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  6>"] sequence<int> Matrix_16_6_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  7>"] sequence<int> Matrix_16_7_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  8>"] sequence<int> Matrix_16_8_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16,  9>"] sequence<int> Matrix_16_9_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 10>"] sequence<int> Matrix_16_10_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 11>"] sequence<int> Matrix_16_11_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 12>"] sequence<int> Matrix_16_12_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 13>"] sequence<int> Matrix_16_13_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 14>"] sequence<int> Matrix_16_14_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 15>"] sequence<int> Matrix_16_15_i;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  16, 16>"] sequence<int> Matrix_16_16_i;
    sequence<Matrix_16_1_i> Matrix_16_1_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_2_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_3_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_4_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_5_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_6_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_7_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_8_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_9_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_10_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_11_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_12_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_13_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_14_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_15_iSeq;
    sequence<Matrix_16_1_i> Matrix_16_16_iSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Int,  1, -1>"] sequence<int> RowVectorXi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1,  1>"] sequence<int> VectorXi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1, -1>"] sequence<int> MatrixXXi;
    ["cpp:type:::Eigen::Matrix<::Ice::Int, -1, -1>"] sequence<int> MatrixXi;
    sequence<RowVectorXi> RowVectorXiSeq;
    sequence<VectorXi> VectorXiSeq;
    sequence<MatrixXXi> MatrixXXiSeq;
    sequence<MatrixXi> MatrixXiSeq;
};
