#pragma once

[["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamableTraits.h"]]
    [["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamReader.h"]]
    [["cpp:include:ArmarXCore/interface/serialization/Eigen/StreamWriter.h"]]

    module Eigen
{
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  1>"] sequence<long> RowVector1l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  1>"] sequence<long> Vector1l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  1>"] sequence<long> Matrix1l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, -1>"] sequence<long> Matrix1Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  1>"] sequence<long> MatrixX1l;
    sequence<RowVector1l> RowVector1lSeq;
    sequence<Vector1l> Vector1lSeq;
    sequence<Matrix1l> Matrix1lSeq;
    sequence<Matrix1Xl> Matrix1XlSeq;
    sequence<MatrixX1l> MatrixX1lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  1>"] sequence<long> Matrix_1_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  2>"] sequence<long> Matrix_1_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  3>"] sequence<long> Matrix_1_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  4>"] sequence<long> Matrix_1_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  5>"] sequence<long> Matrix_1_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  6>"] sequence<long> Matrix_1_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  7>"] sequence<long> Matrix_1_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  8>"] sequence<long> Matrix_1_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  9>"] sequence<long> Matrix_1_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 10>"] sequence<long> Matrix_1_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 11>"] sequence<long> Matrix_1_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 12>"] sequence<long> Matrix_1_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 13>"] sequence<long> Matrix_1_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 14>"] sequence<long> Matrix_1_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 15>"] sequence<long> Matrix_1_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, 16>"] sequence<long> Matrix_1_16_l;
    sequence<Matrix_1_1_l> Matrix_1_1_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_2_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_3_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_4_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_5_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_6_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_7_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_8_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_9_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_10_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_11_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_12_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_13_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_14_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_15_lSeq;
    sequence<Matrix_1_1_l> Matrix_1_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  2>"] sequence<long> RowVector2l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  1>"] sequence<long> Vector2l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  2>"] sequence<long> Matrix2l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, -1>"] sequence<long> Matrix2Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  2>"] sequence<long> MatrixX2l;
    sequence<RowVector2l> RowVector2lSeq;
    sequence<Vector2l> Vector2lSeq;
    sequence<Matrix2l> Matrix2lSeq;
    sequence<Matrix2Xl> Matrix2XlSeq;
    sequence<MatrixX2l> MatrixX2lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  1>"] sequence<long> Matrix_2_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  2>"] sequence<long> Matrix_2_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  3>"] sequence<long> Matrix_2_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  4>"] sequence<long> Matrix_2_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  5>"] sequence<long> Matrix_2_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  6>"] sequence<long> Matrix_2_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  7>"] sequence<long> Matrix_2_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  8>"] sequence<long> Matrix_2_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2,  9>"] sequence<long> Matrix_2_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 10>"] sequence<long> Matrix_2_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 11>"] sequence<long> Matrix_2_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 12>"] sequence<long> Matrix_2_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 13>"] sequence<long> Matrix_2_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 14>"] sequence<long> Matrix_2_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 15>"] sequence<long> Matrix_2_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  2, 16>"] sequence<long> Matrix_2_16_l;
    sequence<Matrix_2_1_l> Matrix_2_1_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_2_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_3_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_4_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_5_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_6_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_7_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_8_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_9_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_10_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_11_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_12_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_13_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_14_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_15_lSeq;
    sequence<Matrix_2_1_l> Matrix_2_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  3>"] sequence<long> RowVector3l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  1>"] sequence<long> Vector3l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  3>"] sequence<long> Matrix3l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, -1>"] sequence<long> Matrix3Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  3>"] sequence<long> MatrixX3l;
    sequence<RowVector3l> RowVector3lSeq;
    sequence<Vector3l> Vector3lSeq;
    sequence<Matrix3l> Matrix3lSeq;
    sequence<Matrix3Xl> Matrix3XlSeq;
    sequence<MatrixX3l> MatrixX3lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  1>"] sequence<long> Matrix_3_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  2>"] sequence<long> Matrix_3_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  3>"] sequence<long> Matrix_3_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  4>"] sequence<long> Matrix_3_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  5>"] sequence<long> Matrix_3_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  6>"] sequence<long> Matrix_3_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  7>"] sequence<long> Matrix_3_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  8>"] sequence<long> Matrix_3_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3,  9>"] sequence<long> Matrix_3_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 10>"] sequence<long> Matrix_3_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 11>"] sequence<long> Matrix_3_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 12>"] sequence<long> Matrix_3_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 13>"] sequence<long> Matrix_3_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 14>"] sequence<long> Matrix_3_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 15>"] sequence<long> Matrix_3_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  3, 16>"] sequence<long> Matrix_3_16_l;
    sequence<Matrix_3_1_l> Matrix_3_1_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_2_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_3_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_4_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_5_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_6_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_7_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_8_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_9_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_10_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_11_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_12_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_13_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_14_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_15_lSeq;
    sequence<Matrix_3_1_l> Matrix_3_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  4>"] sequence<long> RowVector4l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  1>"] sequence<long> Vector4l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  4>"] sequence<long> Matrix4l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, -1>"] sequence<long> Matrix4Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  4>"] sequence<long> MatrixX4l;
    sequence<RowVector4l> RowVector4lSeq;
    sequence<Vector4l> Vector4lSeq;
    sequence<Matrix4l> Matrix4lSeq;
    sequence<Matrix4Xl> Matrix4XlSeq;
    sequence<MatrixX4l> MatrixX4lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  1>"] sequence<long> Matrix_4_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  2>"] sequence<long> Matrix_4_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  3>"] sequence<long> Matrix_4_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  4>"] sequence<long> Matrix_4_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  5>"] sequence<long> Matrix_4_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  6>"] sequence<long> Matrix_4_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  7>"] sequence<long> Matrix_4_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  8>"] sequence<long> Matrix_4_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4,  9>"] sequence<long> Matrix_4_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 10>"] sequence<long> Matrix_4_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 11>"] sequence<long> Matrix_4_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 12>"] sequence<long> Matrix_4_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 13>"] sequence<long> Matrix_4_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 14>"] sequence<long> Matrix_4_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 15>"] sequence<long> Matrix_4_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  4, 16>"] sequence<long> Matrix_4_16_l;
    sequence<Matrix_4_1_l> Matrix_4_1_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_2_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_3_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_4_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_5_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_6_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_7_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_8_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_9_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_10_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_11_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_12_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_13_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_14_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_15_lSeq;
    sequence<Matrix_4_1_l> Matrix_4_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  5>"] sequence<long> RowVector5l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  1>"] sequence<long> Vector5l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  5>"] sequence<long> Matrix5l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, -1>"] sequence<long> Matrix5Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  5>"] sequence<long> MatrixX5l;
    sequence<RowVector5l> RowVector5lSeq;
    sequence<Vector5l> Vector5lSeq;
    sequence<Matrix5l> Matrix5lSeq;
    sequence<Matrix5Xl> Matrix5XlSeq;
    sequence<MatrixX5l> MatrixX5lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  1>"] sequence<long> Matrix_5_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  2>"] sequence<long> Matrix_5_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  3>"] sequence<long> Matrix_5_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  4>"] sequence<long> Matrix_5_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  5>"] sequence<long> Matrix_5_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  6>"] sequence<long> Matrix_5_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  7>"] sequence<long> Matrix_5_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  8>"] sequence<long> Matrix_5_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5,  9>"] sequence<long> Matrix_5_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 10>"] sequence<long> Matrix_5_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 11>"] sequence<long> Matrix_5_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 12>"] sequence<long> Matrix_5_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 13>"] sequence<long> Matrix_5_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 14>"] sequence<long> Matrix_5_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 15>"] sequence<long> Matrix_5_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  5, 16>"] sequence<long> Matrix_5_16_l;
    sequence<Matrix_5_1_l> Matrix_5_1_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_2_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_3_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_4_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_5_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_6_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_7_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_8_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_9_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_10_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_11_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_12_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_13_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_14_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_15_lSeq;
    sequence<Matrix_5_1_l> Matrix_5_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  6>"] sequence<long> RowVector6l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  1>"] sequence<long> Vector6l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  6>"] sequence<long> Matrix6l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, -1>"] sequence<long> Matrix6Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  6>"] sequence<long> MatrixX6l;
    sequence<RowVector6l> RowVector6lSeq;
    sequence<Vector6l> Vector6lSeq;
    sequence<Matrix6l> Matrix6lSeq;
    sequence<Matrix6Xl> Matrix6XlSeq;
    sequence<MatrixX6l> MatrixX6lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  1>"] sequence<long> Matrix_6_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  2>"] sequence<long> Matrix_6_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  3>"] sequence<long> Matrix_6_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  4>"] sequence<long> Matrix_6_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  5>"] sequence<long> Matrix_6_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  6>"] sequence<long> Matrix_6_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  7>"] sequence<long> Matrix_6_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  8>"] sequence<long> Matrix_6_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6,  9>"] sequence<long> Matrix_6_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 10>"] sequence<long> Matrix_6_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 11>"] sequence<long> Matrix_6_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 12>"] sequence<long> Matrix_6_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 13>"] sequence<long> Matrix_6_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 14>"] sequence<long> Matrix_6_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 15>"] sequence<long> Matrix_6_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  6, 16>"] sequence<long> Matrix_6_16_l;
    sequence<Matrix_6_1_l> Matrix_6_1_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_2_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_3_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_4_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_5_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_6_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_7_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_8_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_9_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_10_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_11_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_12_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_13_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_14_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_15_lSeq;
    sequence<Matrix_6_1_l> Matrix_6_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  7>"] sequence<long> RowVector7l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  1>"] sequence<long> Vector7l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  7>"] sequence<long> Matrix7l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, -1>"] sequence<long> Matrix7Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  7>"] sequence<long> MatrixX7l;
    sequence<RowVector7l> RowVector7lSeq;
    sequence<Vector7l> Vector7lSeq;
    sequence<Matrix7l> Matrix7lSeq;
    sequence<Matrix7Xl> Matrix7XlSeq;
    sequence<MatrixX7l> MatrixX7lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  1>"] sequence<long> Matrix_7_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  2>"] sequence<long> Matrix_7_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  3>"] sequence<long> Matrix_7_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  4>"] sequence<long> Matrix_7_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  5>"] sequence<long> Matrix_7_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  6>"] sequence<long> Matrix_7_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  7>"] sequence<long> Matrix_7_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  8>"] sequence<long> Matrix_7_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7,  9>"] sequence<long> Matrix_7_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 10>"] sequence<long> Matrix_7_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 11>"] sequence<long> Matrix_7_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 12>"] sequence<long> Matrix_7_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 13>"] sequence<long> Matrix_7_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 14>"] sequence<long> Matrix_7_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 15>"] sequence<long> Matrix_7_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  7, 16>"] sequence<long> Matrix_7_16_l;
    sequence<Matrix_7_1_l> Matrix_7_1_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_2_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_3_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_4_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_5_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_6_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_7_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_8_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_9_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_10_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_11_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_12_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_13_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_14_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_15_lSeq;
    sequence<Matrix_7_1_l> Matrix_7_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  8>"] sequence<long> RowVector8l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  1>"] sequence<long> Vector8l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  8>"] sequence<long> Matrix8l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, -1>"] sequence<long> Matrix8Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  8>"] sequence<long> MatrixX8l;
    sequence<RowVector8l> RowVector8lSeq;
    sequence<Vector8l> Vector8lSeq;
    sequence<Matrix8l> Matrix8lSeq;
    sequence<Matrix8Xl> Matrix8XlSeq;
    sequence<MatrixX8l> MatrixX8lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  1>"] sequence<long> Matrix_8_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  2>"] sequence<long> Matrix_8_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  3>"] sequence<long> Matrix_8_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  4>"] sequence<long> Matrix_8_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  5>"] sequence<long> Matrix_8_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  6>"] sequence<long> Matrix_8_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  7>"] sequence<long> Matrix_8_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  8>"] sequence<long> Matrix_8_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8,  9>"] sequence<long> Matrix_8_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 10>"] sequence<long> Matrix_8_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 11>"] sequence<long> Matrix_8_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 12>"] sequence<long> Matrix_8_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 13>"] sequence<long> Matrix_8_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 14>"] sequence<long> Matrix_8_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 15>"] sequence<long> Matrix_8_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  8, 16>"] sequence<long> Matrix_8_16_l;
    sequence<Matrix_8_1_l> Matrix_8_1_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_2_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_3_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_4_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_5_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_6_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_7_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_8_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_9_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_10_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_11_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_12_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_13_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_14_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_15_lSeq;
    sequence<Matrix_8_1_l> Matrix_8_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  9>"] sequence<long> RowVector9l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  1>"] sequence<long> Vector9l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  9>"] sequence<long> Matrix9l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, -1>"] sequence<long> Matrix9Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  9>"] sequence<long> MatrixX9l;
    sequence<RowVector9l> RowVector9lSeq;
    sequence<Vector9l> Vector9lSeq;
    sequence<Matrix9l> Matrix9lSeq;
    sequence<Matrix9Xl> Matrix9XlSeq;
    sequence<MatrixX9l> MatrixX9lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  1>"] sequence<long> Matrix_9_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  2>"] sequence<long> Matrix_9_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  3>"] sequence<long> Matrix_9_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  4>"] sequence<long> Matrix_9_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  5>"] sequence<long> Matrix_9_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  6>"] sequence<long> Matrix_9_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  7>"] sequence<long> Matrix_9_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  8>"] sequence<long> Matrix_9_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9,  9>"] sequence<long> Matrix_9_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 10>"] sequence<long> Matrix_9_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 11>"] sequence<long> Matrix_9_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 12>"] sequence<long> Matrix_9_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 13>"] sequence<long> Matrix_9_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 14>"] sequence<long> Matrix_9_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 15>"] sequence<long> Matrix_9_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  9, 16>"] sequence<long> Matrix_9_16_l;
    sequence<Matrix_9_1_l> Matrix_9_1_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_2_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_3_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_4_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_5_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_6_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_7_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_8_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_9_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_10_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_11_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_12_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_13_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_14_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_15_lSeq;
    sequence<Matrix_9_1_l> Matrix_9_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  10>"] sequence<long> RowVector10l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  1>"] sequence<long> Vector10l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  10>"] sequence<long> Matrix10l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, -1>"] sequence<long> Matrix10Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  10>"] sequence<long> MatrixX10l;
    sequence<RowVector10l> RowVector10lSeq;
    sequence<Vector10l> Vector10lSeq;
    sequence<Matrix10l> Matrix10lSeq;
    sequence<Matrix10Xl> Matrix10XlSeq;
    sequence<MatrixX10l> MatrixX10lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  1>"] sequence<long> Matrix_10_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  2>"] sequence<long> Matrix_10_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  3>"] sequence<long> Matrix_10_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  4>"] sequence<long> Matrix_10_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  5>"] sequence<long> Matrix_10_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  6>"] sequence<long> Matrix_10_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  7>"] sequence<long> Matrix_10_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  8>"] sequence<long> Matrix_10_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10,  9>"] sequence<long> Matrix_10_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 10>"] sequence<long> Matrix_10_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 11>"] sequence<long> Matrix_10_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 12>"] sequence<long> Matrix_10_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 13>"] sequence<long> Matrix_10_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 14>"] sequence<long> Matrix_10_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 15>"] sequence<long> Matrix_10_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  10, 16>"] sequence<long> Matrix_10_16_l;
    sequence<Matrix_10_1_l> Matrix_10_1_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_2_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_3_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_4_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_5_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_6_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_7_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_8_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_9_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_10_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_11_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_12_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_13_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_14_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_15_lSeq;
    sequence<Matrix_10_1_l> Matrix_10_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  11>"] sequence<long> RowVector11l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  1>"] sequence<long> Vector11l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  11>"] sequence<long> Matrix11l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, -1>"] sequence<long> Matrix11Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  11>"] sequence<long> MatrixX11l;
    sequence<RowVector11l> RowVector11lSeq;
    sequence<Vector11l> Vector11lSeq;
    sequence<Matrix11l> Matrix11lSeq;
    sequence<Matrix11Xl> Matrix11XlSeq;
    sequence<MatrixX11l> MatrixX11lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  1>"] sequence<long> Matrix_11_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  2>"] sequence<long> Matrix_11_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  3>"] sequence<long> Matrix_11_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  4>"] sequence<long> Matrix_11_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  5>"] sequence<long> Matrix_11_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  6>"] sequence<long> Matrix_11_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  7>"] sequence<long> Matrix_11_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  8>"] sequence<long> Matrix_11_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11,  9>"] sequence<long> Matrix_11_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 10>"] sequence<long> Matrix_11_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 11>"] sequence<long> Matrix_11_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 12>"] sequence<long> Matrix_11_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 13>"] sequence<long> Matrix_11_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 14>"] sequence<long> Matrix_11_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 15>"] sequence<long> Matrix_11_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  11, 16>"] sequence<long> Matrix_11_16_l;
    sequence<Matrix_11_1_l> Matrix_11_1_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_2_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_3_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_4_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_5_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_6_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_7_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_8_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_9_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_10_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_11_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_12_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_13_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_14_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_15_lSeq;
    sequence<Matrix_11_1_l> Matrix_11_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  12>"] sequence<long> RowVector12l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  1>"] sequence<long> Vector12l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  12>"] sequence<long> Matrix12l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, -1>"] sequence<long> Matrix12Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  12>"] sequence<long> MatrixX12l;
    sequence<RowVector12l> RowVector12lSeq;
    sequence<Vector12l> Vector12lSeq;
    sequence<Matrix12l> Matrix12lSeq;
    sequence<Matrix12Xl> Matrix12XlSeq;
    sequence<MatrixX12l> MatrixX12lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  1>"] sequence<long> Matrix_12_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  2>"] sequence<long> Matrix_12_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  3>"] sequence<long> Matrix_12_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  4>"] sequence<long> Matrix_12_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  5>"] sequence<long> Matrix_12_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  6>"] sequence<long> Matrix_12_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  7>"] sequence<long> Matrix_12_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  8>"] sequence<long> Matrix_12_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12,  9>"] sequence<long> Matrix_12_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 10>"] sequence<long> Matrix_12_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 11>"] sequence<long> Matrix_12_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 12>"] sequence<long> Matrix_12_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 13>"] sequence<long> Matrix_12_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 14>"] sequence<long> Matrix_12_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 15>"] sequence<long> Matrix_12_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  12, 16>"] sequence<long> Matrix_12_16_l;
    sequence<Matrix_12_1_l> Matrix_12_1_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_2_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_3_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_4_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_5_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_6_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_7_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_8_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_9_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_10_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_11_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_12_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_13_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_14_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_15_lSeq;
    sequence<Matrix_12_1_l> Matrix_12_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  13>"] sequence<long> RowVector13l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  1>"] sequence<long> Vector13l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  13>"] sequence<long> Matrix13l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, -1>"] sequence<long> Matrix13Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  13>"] sequence<long> MatrixX13l;
    sequence<RowVector13l> RowVector13lSeq;
    sequence<Vector13l> Vector13lSeq;
    sequence<Matrix13l> Matrix13lSeq;
    sequence<Matrix13Xl> Matrix13XlSeq;
    sequence<MatrixX13l> MatrixX13lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  1>"] sequence<long> Matrix_13_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  2>"] sequence<long> Matrix_13_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  3>"] sequence<long> Matrix_13_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  4>"] sequence<long> Matrix_13_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  5>"] sequence<long> Matrix_13_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  6>"] sequence<long> Matrix_13_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  7>"] sequence<long> Matrix_13_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  8>"] sequence<long> Matrix_13_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13,  9>"] sequence<long> Matrix_13_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 10>"] sequence<long> Matrix_13_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 11>"] sequence<long> Matrix_13_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 12>"] sequence<long> Matrix_13_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 13>"] sequence<long> Matrix_13_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 14>"] sequence<long> Matrix_13_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 15>"] sequence<long> Matrix_13_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  13, 16>"] sequence<long> Matrix_13_16_l;
    sequence<Matrix_13_1_l> Matrix_13_1_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_2_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_3_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_4_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_5_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_6_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_7_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_8_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_9_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_10_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_11_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_12_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_13_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_14_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_15_lSeq;
    sequence<Matrix_13_1_l> Matrix_13_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  14>"] sequence<long> RowVector14l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  1>"] sequence<long> Vector14l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  14>"] sequence<long> Matrix14l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, -1>"] sequence<long> Matrix14Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  14>"] sequence<long> MatrixX14l;
    sequence<RowVector14l> RowVector14lSeq;
    sequence<Vector14l> Vector14lSeq;
    sequence<Matrix14l> Matrix14lSeq;
    sequence<Matrix14Xl> Matrix14XlSeq;
    sequence<MatrixX14l> MatrixX14lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  1>"] sequence<long> Matrix_14_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  2>"] sequence<long> Matrix_14_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  3>"] sequence<long> Matrix_14_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  4>"] sequence<long> Matrix_14_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  5>"] sequence<long> Matrix_14_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  6>"] sequence<long> Matrix_14_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  7>"] sequence<long> Matrix_14_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  8>"] sequence<long> Matrix_14_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14,  9>"] sequence<long> Matrix_14_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 10>"] sequence<long> Matrix_14_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 11>"] sequence<long> Matrix_14_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 12>"] sequence<long> Matrix_14_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 13>"] sequence<long> Matrix_14_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 14>"] sequence<long> Matrix_14_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 15>"] sequence<long> Matrix_14_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  14, 16>"] sequence<long> Matrix_14_16_l;
    sequence<Matrix_14_1_l> Matrix_14_1_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_2_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_3_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_4_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_5_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_6_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_7_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_8_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_9_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_10_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_11_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_12_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_13_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_14_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_15_lSeq;
    sequence<Matrix_14_1_l> Matrix_14_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  15>"] sequence<long> RowVector15l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  1>"] sequence<long> Vector15l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  15>"] sequence<long> Matrix15l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, -1>"] sequence<long> Matrix15Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  15>"] sequence<long> MatrixX15l;
    sequence<RowVector15l> RowVector15lSeq;
    sequence<Vector15l> Vector15lSeq;
    sequence<Matrix15l> Matrix15lSeq;
    sequence<Matrix15Xl> Matrix15XlSeq;
    sequence<MatrixX15l> MatrixX15lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  1>"] sequence<long> Matrix_15_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  2>"] sequence<long> Matrix_15_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  3>"] sequence<long> Matrix_15_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  4>"] sequence<long> Matrix_15_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  5>"] sequence<long> Matrix_15_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  6>"] sequence<long> Matrix_15_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  7>"] sequence<long> Matrix_15_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  8>"] sequence<long> Matrix_15_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15,  9>"] sequence<long> Matrix_15_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 10>"] sequence<long> Matrix_15_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 11>"] sequence<long> Matrix_15_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 12>"] sequence<long> Matrix_15_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 13>"] sequence<long> Matrix_15_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 14>"] sequence<long> Matrix_15_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 15>"] sequence<long> Matrix_15_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  15, 16>"] sequence<long> Matrix_15_16_l;
    sequence<Matrix_15_1_l> Matrix_15_1_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_2_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_3_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_4_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_5_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_6_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_7_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_8_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_9_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_10_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_11_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_12_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_13_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_14_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_15_lSeq;
    sequence<Matrix_15_1_l> Matrix_15_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1,  16>"] sequence<long> RowVector16l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  1>"] sequence<long> Vector16l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  16>"] sequence<long> Matrix16l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, -1>"] sequence<long> Matrix16Xl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  16>"] sequence<long> MatrixX16l;
    sequence<RowVector16l> RowVector16lSeq;
    sequence<Vector16l> Vector16lSeq;
    sequence<Matrix16l> Matrix16lSeq;
    sequence<Matrix16Xl> Matrix16XlSeq;
    sequence<MatrixX16l> MatrixX16lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  1>"] sequence<long> Matrix_16_1_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  2>"] sequence<long> Matrix_16_2_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  3>"] sequence<long> Matrix_16_3_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  4>"] sequence<long> Matrix_16_4_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  5>"] sequence<long> Matrix_16_5_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  6>"] sequence<long> Matrix_16_6_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  7>"] sequence<long> Matrix_16_7_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  8>"] sequence<long> Matrix_16_8_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16,  9>"] sequence<long> Matrix_16_9_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 10>"] sequence<long> Matrix_16_10_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 11>"] sequence<long> Matrix_16_11_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 12>"] sequence<long> Matrix_16_12_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 13>"] sequence<long> Matrix_16_13_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 14>"] sequence<long> Matrix_16_14_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 15>"] sequence<long> Matrix_16_15_l;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  16, 16>"] sequence<long> Matrix_16_16_l;
    sequence<Matrix_16_1_l> Matrix_16_1_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_2_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_3_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_4_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_5_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_6_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_7_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_8_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_9_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_10_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_11_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_12_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_13_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_14_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_15_lSeq;
    sequence<Matrix_16_1_l> Matrix_16_16_lSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Long,  1, -1>"] sequence<long> RowVectorXl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1,  1>"] sequence<long> VectorXl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1, -1>"] sequence<long> MatrixXXl;
    ["cpp:type:::Eigen::Matrix<::Ice::Long, -1, -1>"] sequence<long> MatrixXl;
    sequence<RowVectorXl> RowVectorXlSeq;
    sequence<VectorXl> VectorXlSeq;
    sequence<MatrixXXl> MatrixXXlSeq;
    sequence<MatrixXl> MatrixXlSeq;

    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  1>"] sequence<short> RowVector1s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  1>"] sequence<short> Vector1s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  1>"] sequence<short> Matrix1s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, -1>"] sequence<short> Matrix1Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  1>"] sequence<short> MatrixX1s;
    sequence<RowVector1s> RowVector1sSeq;
    sequence<Vector1s> Vector1sSeq;
    sequence<Matrix1s> Matrix1sSeq;
    sequence<Matrix1Xs> Matrix1XsSeq;
    sequence<MatrixX1s> MatrixX1sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  1>"] sequence<short> Matrix_1_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  2>"] sequence<short> Matrix_1_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  3>"] sequence<short> Matrix_1_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  4>"] sequence<short> Matrix_1_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  5>"] sequence<short> Matrix_1_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  6>"] sequence<short> Matrix_1_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  7>"] sequence<short> Matrix_1_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  8>"] sequence<short> Matrix_1_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  9>"] sequence<short> Matrix_1_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 10>"] sequence<short> Matrix_1_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 11>"] sequence<short> Matrix_1_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 12>"] sequence<short> Matrix_1_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 13>"] sequence<short> Matrix_1_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 14>"] sequence<short> Matrix_1_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 15>"] sequence<short> Matrix_1_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, 16>"] sequence<short> Matrix_1_16_s;
    sequence<Matrix_1_1_s> Matrix_1_1_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_2_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_3_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_4_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_5_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_6_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_7_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_8_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_9_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_10_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_11_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_12_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_13_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_14_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_15_sSeq;
    sequence<Matrix_1_1_s> Matrix_1_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  2>"] sequence<short> RowVector2s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  1>"] sequence<short> Vector2s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  2>"] sequence<short> Matrix2s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, -1>"] sequence<short> Matrix2Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  2>"] sequence<short> MatrixX2s;
    sequence<RowVector2s> RowVector2sSeq;
    sequence<Vector2s> Vector2sSeq;
    sequence<Matrix2s> Matrix2sSeq;
    sequence<Matrix2Xs> Matrix2XsSeq;
    sequence<MatrixX2s> MatrixX2sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  1>"] sequence<short> Matrix_2_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  2>"] sequence<short> Matrix_2_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  3>"] sequence<short> Matrix_2_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  4>"] sequence<short> Matrix_2_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  5>"] sequence<short> Matrix_2_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  6>"] sequence<short> Matrix_2_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  7>"] sequence<short> Matrix_2_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  8>"] sequence<short> Matrix_2_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2,  9>"] sequence<short> Matrix_2_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 10>"] sequence<short> Matrix_2_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 11>"] sequence<short> Matrix_2_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 12>"] sequence<short> Matrix_2_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 13>"] sequence<short> Matrix_2_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 14>"] sequence<short> Matrix_2_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 15>"] sequence<short> Matrix_2_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  2, 16>"] sequence<short> Matrix_2_16_s;
    sequence<Matrix_2_1_s> Matrix_2_1_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_2_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_3_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_4_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_5_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_6_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_7_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_8_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_9_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_10_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_11_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_12_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_13_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_14_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_15_sSeq;
    sequence<Matrix_2_1_s> Matrix_2_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  3>"] sequence<short> RowVector3s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  1>"] sequence<short> Vector3s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  3>"] sequence<short> Matrix3s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, -1>"] sequence<short> Matrix3Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  3>"] sequence<short> MatrixX3s;
    sequence<RowVector3s> RowVector3sSeq;
    sequence<Vector3s> Vector3sSeq;
    sequence<Matrix3s> Matrix3sSeq;
    sequence<Matrix3Xs> Matrix3XsSeq;
    sequence<MatrixX3s> MatrixX3sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  1>"] sequence<short> Matrix_3_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  2>"] sequence<short> Matrix_3_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  3>"] sequence<short> Matrix_3_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  4>"] sequence<short> Matrix_3_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  5>"] sequence<short> Matrix_3_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  6>"] sequence<short> Matrix_3_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  7>"] sequence<short> Matrix_3_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  8>"] sequence<short> Matrix_3_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3,  9>"] sequence<short> Matrix_3_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 10>"] sequence<short> Matrix_3_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 11>"] sequence<short> Matrix_3_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 12>"] sequence<short> Matrix_3_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 13>"] sequence<short> Matrix_3_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 14>"] sequence<short> Matrix_3_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 15>"] sequence<short> Matrix_3_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  3, 16>"] sequence<short> Matrix_3_16_s;
    sequence<Matrix_3_1_s> Matrix_3_1_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_2_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_3_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_4_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_5_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_6_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_7_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_8_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_9_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_10_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_11_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_12_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_13_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_14_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_15_sSeq;
    sequence<Matrix_3_1_s> Matrix_3_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  4>"] sequence<short> RowVector4s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  1>"] sequence<short> Vector4s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  4>"] sequence<short> Matrix4s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, -1>"] sequence<short> Matrix4Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  4>"] sequence<short> MatrixX4s;
    sequence<RowVector4s> RowVector4sSeq;
    sequence<Vector4s> Vector4sSeq;
    sequence<Matrix4s> Matrix4sSeq;
    sequence<Matrix4Xs> Matrix4XsSeq;
    sequence<MatrixX4s> MatrixX4sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  1>"] sequence<short> Matrix_4_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  2>"] sequence<short> Matrix_4_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  3>"] sequence<short> Matrix_4_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  4>"] sequence<short> Matrix_4_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  5>"] sequence<short> Matrix_4_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  6>"] sequence<short> Matrix_4_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  7>"] sequence<short> Matrix_4_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  8>"] sequence<short> Matrix_4_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4,  9>"] sequence<short> Matrix_4_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 10>"] sequence<short> Matrix_4_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 11>"] sequence<short> Matrix_4_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 12>"] sequence<short> Matrix_4_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 13>"] sequence<short> Matrix_4_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 14>"] sequence<short> Matrix_4_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 15>"] sequence<short> Matrix_4_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  4, 16>"] sequence<short> Matrix_4_16_s;
    sequence<Matrix_4_1_s> Matrix_4_1_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_2_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_3_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_4_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_5_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_6_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_7_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_8_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_9_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_10_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_11_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_12_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_13_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_14_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_15_sSeq;
    sequence<Matrix_4_1_s> Matrix_4_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  5>"] sequence<short> RowVector5s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  1>"] sequence<short> Vector5s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  5>"] sequence<short> Matrix5s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, -1>"] sequence<short> Matrix5Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  5>"] sequence<short> MatrixX5s;
    sequence<RowVector5s> RowVector5sSeq;
    sequence<Vector5s> Vector5sSeq;
    sequence<Matrix5s> Matrix5sSeq;
    sequence<Matrix5Xs> Matrix5XsSeq;
    sequence<MatrixX5s> MatrixX5sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  1>"] sequence<short> Matrix_5_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  2>"] sequence<short> Matrix_5_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  3>"] sequence<short> Matrix_5_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  4>"] sequence<short> Matrix_5_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  5>"] sequence<short> Matrix_5_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  6>"] sequence<short> Matrix_5_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  7>"] sequence<short> Matrix_5_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  8>"] sequence<short> Matrix_5_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5,  9>"] sequence<short> Matrix_5_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 10>"] sequence<short> Matrix_5_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 11>"] sequence<short> Matrix_5_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 12>"] sequence<short> Matrix_5_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 13>"] sequence<short> Matrix_5_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 14>"] sequence<short> Matrix_5_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 15>"] sequence<short> Matrix_5_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  5, 16>"] sequence<short> Matrix_5_16_s;
    sequence<Matrix_5_1_s> Matrix_5_1_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_2_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_3_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_4_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_5_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_6_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_7_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_8_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_9_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_10_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_11_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_12_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_13_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_14_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_15_sSeq;
    sequence<Matrix_5_1_s> Matrix_5_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  6>"] sequence<short> RowVector6s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  1>"] sequence<short> Vector6s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  6>"] sequence<short> Matrix6s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, -1>"] sequence<short> Matrix6Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  6>"] sequence<short> MatrixX6s;
    sequence<RowVector6s> RowVector6sSeq;
    sequence<Vector6s> Vector6sSeq;
    sequence<Matrix6s> Matrix6sSeq;
    sequence<Matrix6Xs> Matrix6XsSeq;
    sequence<MatrixX6s> MatrixX6sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  1>"] sequence<short> Matrix_6_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  2>"] sequence<short> Matrix_6_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  3>"] sequence<short> Matrix_6_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  4>"] sequence<short> Matrix_6_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  5>"] sequence<short> Matrix_6_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  6>"] sequence<short> Matrix_6_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  7>"] sequence<short> Matrix_6_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  8>"] sequence<short> Matrix_6_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6,  9>"] sequence<short> Matrix_6_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 10>"] sequence<short> Matrix_6_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 11>"] sequence<short> Matrix_6_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 12>"] sequence<short> Matrix_6_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 13>"] sequence<short> Matrix_6_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 14>"] sequence<short> Matrix_6_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 15>"] sequence<short> Matrix_6_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  6, 16>"] sequence<short> Matrix_6_16_s;
    sequence<Matrix_6_1_s> Matrix_6_1_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_2_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_3_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_4_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_5_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_6_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_7_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_8_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_9_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_10_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_11_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_12_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_13_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_14_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_15_sSeq;
    sequence<Matrix_6_1_s> Matrix_6_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  7>"] sequence<short> RowVector7s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  1>"] sequence<short> Vector7s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  7>"] sequence<short> Matrix7s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, -1>"] sequence<short> Matrix7Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  7>"] sequence<short> MatrixX7s;
    sequence<RowVector7s> RowVector7sSeq;
    sequence<Vector7s> Vector7sSeq;
    sequence<Matrix7s> Matrix7sSeq;
    sequence<Matrix7Xs> Matrix7XsSeq;
    sequence<MatrixX7s> MatrixX7sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  1>"] sequence<short> Matrix_7_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  2>"] sequence<short> Matrix_7_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  3>"] sequence<short> Matrix_7_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  4>"] sequence<short> Matrix_7_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  5>"] sequence<short> Matrix_7_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  6>"] sequence<short> Matrix_7_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  7>"] sequence<short> Matrix_7_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  8>"] sequence<short> Matrix_7_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7,  9>"] sequence<short> Matrix_7_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 10>"] sequence<short> Matrix_7_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 11>"] sequence<short> Matrix_7_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 12>"] sequence<short> Matrix_7_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 13>"] sequence<short> Matrix_7_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 14>"] sequence<short> Matrix_7_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 15>"] sequence<short> Matrix_7_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  7, 16>"] sequence<short> Matrix_7_16_s;
    sequence<Matrix_7_1_s> Matrix_7_1_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_2_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_3_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_4_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_5_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_6_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_7_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_8_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_9_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_10_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_11_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_12_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_13_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_14_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_15_sSeq;
    sequence<Matrix_7_1_s> Matrix_7_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  8>"] sequence<short> RowVector8s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  1>"] sequence<short> Vector8s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  8>"] sequence<short> Matrix8s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, -1>"] sequence<short> Matrix8Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  8>"] sequence<short> MatrixX8s;
    sequence<RowVector8s> RowVector8sSeq;
    sequence<Vector8s> Vector8sSeq;
    sequence<Matrix8s> Matrix8sSeq;
    sequence<Matrix8Xs> Matrix8XsSeq;
    sequence<MatrixX8s> MatrixX8sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  1>"] sequence<short> Matrix_8_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  2>"] sequence<short> Matrix_8_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  3>"] sequence<short> Matrix_8_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  4>"] sequence<short> Matrix_8_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  5>"] sequence<short> Matrix_8_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  6>"] sequence<short> Matrix_8_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  7>"] sequence<short> Matrix_8_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  8>"] sequence<short> Matrix_8_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8,  9>"] sequence<short> Matrix_8_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 10>"] sequence<short> Matrix_8_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 11>"] sequence<short> Matrix_8_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 12>"] sequence<short> Matrix_8_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 13>"] sequence<short> Matrix_8_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 14>"] sequence<short> Matrix_8_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 15>"] sequence<short> Matrix_8_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  8, 16>"] sequence<short> Matrix_8_16_s;
    sequence<Matrix_8_1_s> Matrix_8_1_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_2_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_3_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_4_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_5_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_6_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_7_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_8_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_9_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_10_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_11_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_12_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_13_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_14_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_15_sSeq;
    sequence<Matrix_8_1_s> Matrix_8_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  9>"] sequence<short> RowVector9s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  1>"] sequence<short> Vector9s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  9>"] sequence<short> Matrix9s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, -1>"] sequence<short> Matrix9Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  9>"] sequence<short> MatrixX9s;
    sequence<RowVector9s> RowVector9sSeq;
    sequence<Vector9s> Vector9sSeq;
    sequence<Matrix9s> Matrix9sSeq;
    sequence<Matrix9Xs> Matrix9XsSeq;
    sequence<MatrixX9s> MatrixX9sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  1>"] sequence<short> Matrix_9_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  2>"] sequence<short> Matrix_9_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  3>"] sequence<short> Matrix_9_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  4>"] sequence<short> Matrix_9_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  5>"] sequence<short> Matrix_9_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  6>"] sequence<short> Matrix_9_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  7>"] sequence<short> Matrix_9_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  8>"] sequence<short> Matrix_9_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9,  9>"] sequence<short> Matrix_9_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 10>"] sequence<short> Matrix_9_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 11>"] sequence<short> Matrix_9_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 12>"] sequence<short> Matrix_9_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 13>"] sequence<short> Matrix_9_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 14>"] sequence<short> Matrix_9_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 15>"] sequence<short> Matrix_9_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  9, 16>"] sequence<short> Matrix_9_16_s;
    sequence<Matrix_9_1_s> Matrix_9_1_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_2_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_3_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_4_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_5_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_6_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_7_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_8_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_9_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_10_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_11_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_12_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_13_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_14_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_15_sSeq;
    sequence<Matrix_9_1_s> Matrix_9_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  10>"] sequence<short> RowVector10s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  1>"] sequence<short> Vector10s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  10>"] sequence<short> Matrix10s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, -1>"] sequence<short> Matrix10Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  10>"] sequence<short> MatrixX10s;
    sequence<RowVector10s> RowVector10sSeq;
    sequence<Vector10s> Vector10sSeq;
    sequence<Matrix10s> Matrix10sSeq;
    sequence<Matrix10Xs> Matrix10XsSeq;
    sequence<MatrixX10s> MatrixX10sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  1>"] sequence<short> Matrix_10_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  2>"] sequence<short> Matrix_10_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  3>"] sequence<short> Matrix_10_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  4>"] sequence<short> Matrix_10_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  5>"] sequence<short> Matrix_10_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  6>"] sequence<short> Matrix_10_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  7>"] sequence<short> Matrix_10_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  8>"] sequence<short> Matrix_10_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10,  9>"] sequence<short> Matrix_10_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 10>"] sequence<short> Matrix_10_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 11>"] sequence<short> Matrix_10_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 12>"] sequence<short> Matrix_10_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 13>"] sequence<short> Matrix_10_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 14>"] sequence<short> Matrix_10_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 15>"] sequence<short> Matrix_10_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  10, 16>"] sequence<short> Matrix_10_16_s;
    sequence<Matrix_10_1_s> Matrix_10_1_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_2_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_3_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_4_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_5_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_6_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_7_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_8_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_9_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_10_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_11_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_12_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_13_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_14_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_15_sSeq;
    sequence<Matrix_10_1_s> Matrix_10_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  11>"] sequence<short> RowVector11s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  1>"] sequence<short> Vector11s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  11>"] sequence<short> Matrix11s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, -1>"] sequence<short> Matrix11Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  11>"] sequence<short> MatrixX11s;
    sequence<RowVector11s> RowVector11sSeq;
    sequence<Vector11s> Vector11sSeq;
    sequence<Matrix11s> Matrix11sSeq;
    sequence<Matrix11Xs> Matrix11XsSeq;
    sequence<MatrixX11s> MatrixX11sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  1>"] sequence<short> Matrix_11_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  2>"] sequence<short> Matrix_11_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  3>"] sequence<short> Matrix_11_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  4>"] sequence<short> Matrix_11_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  5>"] sequence<short> Matrix_11_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  6>"] sequence<short> Matrix_11_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  7>"] sequence<short> Matrix_11_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  8>"] sequence<short> Matrix_11_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11,  9>"] sequence<short> Matrix_11_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 10>"] sequence<short> Matrix_11_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 11>"] sequence<short> Matrix_11_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 12>"] sequence<short> Matrix_11_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 13>"] sequence<short> Matrix_11_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 14>"] sequence<short> Matrix_11_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 15>"] sequence<short> Matrix_11_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  11, 16>"] sequence<short> Matrix_11_16_s;
    sequence<Matrix_11_1_s> Matrix_11_1_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_2_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_3_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_4_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_5_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_6_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_7_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_8_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_9_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_10_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_11_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_12_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_13_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_14_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_15_sSeq;
    sequence<Matrix_11_1_s> Matrix_11_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  12>"] sequence<short> RowVector12s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  1>"] sequence<short> Vector12s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  12>"] sequence<short> Matrix12s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, -1>"] sequence<short> Matrix12Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  12>"] sequence<short> MatrixX12s;
    sequence<RowVector12s> RowVector12sSeq;
    sequence<Vector12s> Vector12sSeq;
    sequence<Matrix12s> Matrix12sSeq;
    sequence<Matrix12Xs> Matrix12XsSeq;
    sequence<MatrixX12s> MatrixX12sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  1>"] sequence<short> Matrix_12_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  2>"] sequence<short> Matrix_12_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  3>"] sequence<short> Matrix_12_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  4>"] sequence<short> Matrix_12_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  5>"] sequence<short> Matrix_12_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  6>"] sequence<short> Matrix_12_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  7>"] sequence<short> Matrix_12_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  8>"] sequence<short> Matrix_12_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12,  9>"] sequence<short> Matrix_12_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 10>"] sequence<short> Matrix_12_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 11>"] sequence<short> Matrix_12_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 12>"] sequence<short> Matrix_12_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 13>"] sequence<short> Matrix_12_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 14>"] sequence<short> Matrix_12_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 15>"] sequence<short> Matrix_12_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  12, 16>"] sequence<short> Matrix_12_16_s;
    sequence<Matrix_12_1_s> Matrix_12_1_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_2_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_3_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_4_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_5_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_6_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_7_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_8_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_9_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_10_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_11_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_12_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_13_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_14_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_15_sSeq;
    sequence<Matrix_12_1_s> Matrix_12_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  13>"] sequence<short> RowVector13s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  1>"] sequence<short> Vector13s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  13>"] sequence<short> Matrix13s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, -1>"] sequence<short> Matrix13Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  13>"] sequence<short> MatrixX13s;
    sequence<RowVector13s> RowVector13sSeq;
    sequence<Vector13s> Vector13sSeq;
    sequence<Matrix13s> Matrix13sSeq;
    sequence<Matrix13Xs> Matrix13XsSeq;
    sequence<MatrixX13s> MatrixX13sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  1>"] sequence<short> Matrix_13_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  2>"] sequence<short> Matrix_13_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  3>"] sequence<short> Matrix_13_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  4>"] sequence<short> Matrix_13_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  5>"] sequence<short> Matrix_13_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  6>"] sequence<short> Matrix_13_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  7>"] sequence<short> Matrix_13_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  8>"] sequence<short> Matrix_13_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13,  9>"] sequence<short> Matrix_13_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 10>"] sequence<short> Matrix_13_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 11>"] sequence<short> Matrix_13_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 12>"] sequence<short> Matrix_13_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 13>"] sequence<short> Matrix_13_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 14>"] sequence<short> Matrix_13_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 15>"] sequence<short> Matrix_13_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  13, 16>"] sequence<short> Matrix_13_16_s;
    sequence<Matrix_13_1_s> Matrix_13_1_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_2_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_3_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_4_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_5_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_6_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_7_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_8_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_9_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_10_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_11_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_12_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_13_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_14_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_15_sSeq;
    sequence<Matrix_13_1_s> Matrix_13_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  14>"] sequence<short> RowVector14s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  1>"] sequence<short> Vector14s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  14>"] sequence<short> Matrix14s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, -1>"] sequence<short> Matrix14Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  14>"] sequence<short> MatrixX14s;
    sequence<RowVector14s> RowVector14sSeq;
    sequence<Vector14s> Vector14sSeq;
    sequence<Matrix14s> Matrix14sSeq;
    sequence<Matrix14Xs> Matrix14XsSeq;
    sequence<MatrixX14s> MatrixX14sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  1>"] sequence<short> Matrix_14_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  2>"] sequence<short> Matrix_14_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  3>"] sequence<short> Matrix_14_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  4>"] sequence<short> Matrix_14_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  5>"] sequence<short> Matrix_14_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  6>"] sequence<short> Matrix_14_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  7>"] sequence<short> Matrix_14_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  8>"] sequence<short> Matrix_14_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14,  9>"] sequence<short> Matrix_14_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 10>"] sequence<short> Matrix_14_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 11>"] sequence<short> Matrix_14_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 12>"] sequence<short> Matrix_14_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 13>"] sequence<short> Matrix_14_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 14>"] sequence<short> Matrix_14_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 15>"] sequence<short> Matrix_14_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  14, 16>"] sequence<short> Matrix_14_16_s;
    sequence<Matrix_14_1_s> Matrix_14_1_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_2_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_3_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_4_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_5_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_6_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_7_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_8_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_9_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_10_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_11_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_12_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_13_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_14_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_15_sSeq;
    sequence<Matrix_14_1_s> Matrix_14_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  15>"] sequence<short> RowVector15s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  1>"] sequence<short> Vector15s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  15>"] sequence<short> Matrix15s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, -1>"] sequence<short> Matrix15Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  15>"] sequence<short> MatrixX15s;
    sequence<RowVector15s> RowVector15sSeq;
    sequence<Vector15s> Vector15sSeq;
    sequence<Matrix15s> Matrix15sSeq;
    sequence<Matrix15Xs> Matrix15XsSeq;
    sequence<MatrixX15s> MatrixX15sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  1>"] sequence<short> Matrix_15_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  2>"] sequence<short> Matrix_15_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  3>"] sequence<short> Matrix_15_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  4>"] sequence<short> Matrix_15_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  5>"] sequence<short> Matrix_15_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  6>"] sequence<short> Matrix_15_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  7>"] sequence<short> Matrix_15_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  8>"] sequence<short> Matrix_15_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15,  9>"] sequence<short> Matrix_15_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 10>"] sequence<short> Matrix_15_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 11>"] sequence<short> Matrix_15_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 12>"] sequence<short> Matrix_15_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 13>"] sequence<short> Matrix_15_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 14>"] sequence<short> Matrix_15_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 15>"] sequence<short> Matrix_15_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  15, 16>"] sequence<short> Matrix_15_16_s;
    sequence<Matrix_15_1_s> Matrix_15_1_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_2_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_3_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_4_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_5_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_6_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_7_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_8_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_9_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_10_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_11_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_12_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_13_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_14_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_15_sSeq;
    sequence<Matrix_15_1_s> Matrix_15_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1,  16>"] sequence<short> RowVector16s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  1>"] sequence<short> Vector16s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  16>"] sequence<short> Matrix16s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, -1>"] sequence<short> Matrix16Xs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  16>"] sequence<short> MatrixX16s;
    sequence<RowVector16s> RowVector16sSeq;
    sequence<Vector16s> Vector16sSeq;
    sequence<Matrix16s> Matrix16sSeq;
    sequence<Matrix16Xs> Matrix16XsSeq;
    sequence<MatrixX16s> MatrixX16sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  1>"] sequence<short> Matrix_16_1_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  2>"] sequence<short> Matrix_16_2_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  3>"] sequence<short> Matrix_16_3_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  4>"] sequence<short> Matrix_16_4_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  5>"] sequence<short> Matrix_16_5_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  6>"] sequence<short> Matrix_16_6_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  7>"] sequence<short> Matrix_16_7_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  8>"] sequence<short> Matrix_16_8_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16,  9>"] sequence<short> Matrix_16_9_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 10>"] sequence<short> Matrix_16_10_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 11>"] sequence<short> Matrix_16_11_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 12>"] sequence<short> Matrix_16_12_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 13>"] sequence<short> Matrix_16_13_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 14>"] sequence<short> Matrix_16_14_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 15>"] sequence<short> Matrix_16_15_s;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  16, 16>"] sequence<short> Matrix_16_16_s;
    sequence<Matrix_16_1_s> Matrix_16_1_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_2_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_3_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_4_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_5_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_6_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_7_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_8_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_9_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_10_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_11_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_12_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_13_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_14_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_15_sSeq;
    sequence<Matrix_16_1_s> Matrix_16_16_sSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Short,  1, -1>"] sequence<short> RowVectorXs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1,  1>"] sequence<short> VectorXs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1, -1>"] sequence<short> MatrixXXs;
    ["cpp:type:::Eigen::Matrix<::Ice::Short, -1, -1>"] sequence<short> MatrixXs;
    sequence<RowVectorXs> RowVectorXsSeq;
    sequence<VectorXs> VectorXsSeq;
    sequence<MatrixXXs> MatrixXXsSeq;
    sequence<MatrixXs> MatrixXsSeq;

    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  1>"] sequence<byte> RowVector1byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  1>"] sequence<byte> Vector1byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  1>"] sequence<byte> Matrix1byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, -1>"] sequence<byte> Matrix1Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  1>"] sequence<byte> MatrixX1byte;
    sequence<RowVector1byte> RowVector1byteSeq;
    sequence<Vector1byte> Vector1byteSeq;
    sequence<Matrix1byte> Matrix1byteSeq;
    sequence<Matrix1Xbyte> Matrix1XbyteSeq;
    sequence<MatrixX1byte> MatrixX1byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  1>"] sequence<byte> Matrix_1_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  2>"] sequence<byte> Matrix_1_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  3>"] sequence<byte> Matrix_1_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  4>"] sequence<byte> Matrix_1_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  5>"] sequence<byte> Matrix_1_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  6>"] sequence<byte> Matrix_1_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  7>"] sequence<byte> Matrix_1_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  8>"] sequence<byte> Matrix_1_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  9>"] sequence<byte> Matrix_1_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 10>"] sequence<byte> Matrix_1_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 11>"] sequence<byte> Matrix_1_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 12>"] sequence<byte> Matrix_1_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 13>"] sequence<byte> Matrix_1_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 14>"] sequence<byte> Matrix_1_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 15>"] sequence<byte> Matrix_1_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, 16>"] sequence<byte> Matrix_1_16_byte;
    sequence<Matrix_1_1_byte> Matrix_1_1_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_2_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_3_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_4_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_5_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_6_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_7_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_8_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_9_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_10_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_11_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_12_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_13_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_14_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_15_byteSeq;
    sequence<Matrix_1_1_byte> Matrix_1_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  2>"] sequence<byte> RowVector2byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  1>"] sequence<byte> Vector2byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  2>"] sequence<byte> Matrix2byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, -1>"] sequence<byte> Matrix2Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  2>"] sequence<byte> MatrixX2byte;
    sequence<RowVector2byte> RowVector2byteSeq;
    sequence<Vector2byte> Vector2byteSeq;
    sequence<Matrix2byte> Matrix2byteSeq;
    sequence<Matrix2Xbyte> Matrix2XbyteSeq;
    sequence<MatrixX2byte> MatrixX2byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  1>"] sequence<byte> Matrix_2_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  2>"] sequence<byte> Matrix_2_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  3>"] sequence<byte> Matrix_2_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  4>"] sequence<byte> Matrix_2_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  5>"] sequence<byte> Matrix_2_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  6>"] sequence<byte> Matrix_2_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  7>"] sequence<byte> Matrix_2_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  8>"] sequence<byte> Matrix_2_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2,  9>"] sequence<byte> Matrix_2_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 10>"] sequence<byte> Matrix_2_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 11>"] sequence<byte> Matrix_2_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 12>"] sequence<byte> Matrix_2_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 13>"] sequence<byte> Matrix_2_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 14>"] sequence<byte> Matrix_2_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 15>"] sequence<byte> Matrix_2_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  2, 16>"] sequence<byte> Matrix_2_16_byte;
    sequence<Matrix_2_1_byte> Matrix_2_1_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_2_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_3_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_4_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_5_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_6_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_7_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_8_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_9_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_10_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_11_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_12_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_13_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_14_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_15_byteSeq;
    sequence<Matrix_2_1_byte> Matrix_2_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  3>"] sequence<byte> RowVector3byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  1>"] sequence<byte> Vector3byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  3>"] sequence<byte> Matrix3byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, -1>"] sequence<byte> Matrix3Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  3>"] sequence<byte> MatrixX3byte;
    sequence<RowVector3byte> RowVector3byteSeq;
    sequence<Vector3byte> Vector3byteSeq;
    sequence<Matrix3byte> Matrix3byteSeq;
    sequence<Matrix3Xbyte> Matrix3XbyteSeq;
    sequence<MatrixX3byte> MatrixX3byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  1>"] sequence<byte> Matrix_3_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  2>"] sequence<byte> Matrix_3_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  3>"] sequence<byte> Matrix_3_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  4>"] sequence<byte> Matrix_3_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  5>"] sequence<byte> Matrix_3_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  6>"] sequence<byte> Matrix_3_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  7>"] sequence<byte> Matrix_3_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  8>"] sequence<byte> Matrix_3_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3,  9>"] sequence<byte> Matrix_3_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 10>"] sequence<byte> Matrix_3_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 11>"] sequence<byte> Matrix_3_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 12>"] sequence<byte> Matrix_3_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 13>"] sequence<byte> Matrix_3_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 14>"] sequence<byte> Matrix_3_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 15>"] sequence<byte> Matrix_3_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  3, 16>"] sequence<byte> Matrix_3_16_byte;
    sequence<Matrix_3_1_byte> Matrix_3_1_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_2_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_3_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_4_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_5_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_6_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_7_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_8_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_9_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_10_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_11_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_12_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_13_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_14_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_15_byteSeq;
    sequence<Matrix_3_1_byte> Matrix_3_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  4>"] sequence<byte> RowVector4byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  1>"] sequence<byte> Vector4byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  4>"] sequence<byte> Matrix4byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, -1>"] sequence<byte> Matrix4Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  4>"] sequence<byte> MatrixX4byte;
    sequence<RowVector4byte> RowVector4byteSeq;
    sequence<Vector4byte> Vector4byteSeq;
    sequence<Matrix4byte> Matrix4byteSeq;
    sequence<Matrix4Xbyte> Matrix4XbyteSeq;
    sequence<MatrixX4byte> MatrixX4byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  1>"] sequence<byte> Matrix_4_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  2>"] sequence<byte> Matrix_4_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  3>"] sequence<byte> Matrix_4_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  4>"] sequence<byte> Matrix_4_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  5>"] sequence<byte> Matrix_4_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  6>"] sequence<byte> Matrix_4_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  7>"] sequence<byte> Matrix_4_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  8>"] sequence<byte> Matrix_4_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4,  9>"] sequence<byte> Matrix_4_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 10>"] sequence<byte> Matrix_4_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 11>"] sequence<byte> Matrix_4_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 12>"] sequence<byte> Matrix_4_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 13>"] sequence<byte> Matrix_4_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 14>"] sequence<byte> Matrix_4_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 15>"] sequence<byte> Matrix_4_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  4, 16>"] sequence<byte> Matrix_4_16_byte;
    sequence<Matrix_4_1_byte> Matrix_4_1_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_2_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_3_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_4_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_5_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_6_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_7_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_8_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_9_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_10_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_11_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_12_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_13_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_14_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_15_byteSeq;
    sequence<Matrix_4_1_byte> Matrix_4_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  5>"] sequence<byte> RowVector5byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  1>"] sequence<byte> Vector5byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  5>"] sequence<byte> Matrix5byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, -1>"] sequence<byte> Matrix5Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  5>"] sequence<byte> MatrixX5byte;
    sequence<RowVector5byte> RowVector5byteSeq;
    sequence<Vector5byte> Vector5byteSeq;
    sequence<Matrix5byte> Matrix5byteSeq;
    sequence<Matrix5Xbyte> Matrix5XbyteSeq;
    sequence<MatrixX5byte> MatrixX5byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  1>"] sequence<byte> Matrix_5_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  2>"] sequence<byte> Matrix_5_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  3>"] sequence<byte> Matrix_5_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  4>"] sequence<byte> Matrix_5_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  5>"] sequence<byte> Matrix_5_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  6>"] sequence<byte> Matrix_5_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  7>"] sequence<byte> Matrix_5_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  8>"] sequence<byte> Matrix_5_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5,  9>"] sequence<byte> Matrix_5_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 10>"] sequence<byte> Matrix_5_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 11>"] sequence<byte> Matrix_5_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 12>"] sequence<byte> Matrix_5_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 13>"] sequence<byte> Matrix_5_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 14>"] sequence<byte> Matrix_5_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 15>"] sequence<byte> Matrix_5_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  5, 16>"] sequence<byte> Matrix_5_16_byte;
    sequence<Matrix_5_1_byte> Matrix_5_1_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_2_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_3_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_4_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_5_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_6_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_7_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_8_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_9_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_10_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_11_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_12_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_13_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_14_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_15_byteSeq;
    sequence<Matrix_5_1_byte> Matrix_5_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  6>"] sequence<byte> RowVector6byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  1>"] sequence<byte> Vector6byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  6>"] sequence<byte> Matrix6byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, -1>"] sequence<byte> Matrix6Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  6>"] sequence<byte> MatrixX6byte;
    sequence<RowVector6byte> RowVector6byteSeq;
    sequence<Vector6byte> Vector6byteSeq;
    sequence<Matrix6byte> Matrix6byteSeq;
    sequence<Matrix6Xbyte> Matrix6XbyteSeq;
    sequence<MatrixX6byte> MatrixX6byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  1>"] sequence<byte> Matrix_6_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  2>"] sequence<byte> Matrix_6_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  3>"] sequence<byte> Matrix_6_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  4>"] sequence<byte> Matrix_6_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  5>"] sequence<byte> Matrix_6_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  6>"] sequence<byte> Matrix_6_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  7>"] sequence<byte> Matrix_6_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  8>"] sequence<byte> Matrix_6_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6,  9>"] sequence<byte> Matrix_6_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 10>"] sequence<byte> Matrix_6_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 11>"] sequence<byte> Matrix_6_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 12>"] sequence<byte> Matrix_6_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 13>"] sequence<byte> Matrix_6_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 14>"] sequence<byte> Matrix_6_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 15>"] sequence<byte> Matrix_6_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  6, 16>"] sequence<byte> Matrix_6_16_byte;
    sequence<Matrix_6_1_byte> Matrix_6_1_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_2_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_3_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_4_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_5_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_6_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_7_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_8_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_9_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_10_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_11_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_12_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_13_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_14_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_15_byteSeq;
    sequence<Matrix_6_1_byte> Matrix_6_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  7>"] sequence<byte> RowVector7byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  1>"] sequence<byte> Vector7byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  7>"] sequence<byte> Matrix7byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, -1>"] sequence<byte> Matrix7Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  7>"] sequence<byte> MatrixX7byte;
    sequence<RowVector7byte> RowVector7byteSeq;
    sequence<Vector7byte> Vector7byteSeq;
    sequence<Matrix7byte> Matrix7byteSeq;
    sequence<Matrix7Xbyte> Matrix7XbyteSeq;
    sequence<MatrixX7byte> MatrixX7byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  1>"] sequence<byte> Matrix_7_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  2>"] sequence<byte> Matrix_7_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  3>"] sequence<byte> Matrix_7_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  4>"] sequence<byte> Matrix_7_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  5>"] sequence<byte> Matrix_7_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  6>"] sequence<byte> Matrix_7_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  7>"] sequence<byte> Matrix_7_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  8>"] sequence<byte> Matrix_7_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7,  9>"] sequence<byte> Matrix_7_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 10>"] sequence<byte> Matrix_7_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 11>"] sequence<byte> Matrix_7_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 12>"] sequence<byte> Matrix_7_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 13>"] sequence<byte> Matrix_7_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 14>"] sequence<byte> Matrix_7_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 15>"] sequence<byte> Matrix_7_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  7, 16>"] sequence<byte> Matrix_7_16_byte;
    sequence<Matrix_7_1_byte> Matrix_7_1_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_2_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_3_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_4_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_5_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_6_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_7_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_8_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_9_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_10_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_11_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_12_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_13_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_14_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_15_byteSeq;
    sequence<Matrix_7_1_byte> Matrix_7_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  8>"] sequence<byte> RowVector8byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  1>"] sequence<byte> Vector8byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  8>"] sequence<byte> Matrix8byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, -1>"] sequence<byte> Matrix8Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  8>"] sequence<byte> MatrixX8byte;
    sequence<RowVector8byte> RowVector8byteSeq;
    sequence<Vector8byte> Vector8byteSeq;
    sequence<Matrix8byte> Matrix8byteSeq;
    sequence<Matrix8Xbyte> Matrix8XbyteSeq;
    sequence<MatrixX8byte> MatrixX8byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  1>"] sequence<byte> Matrix_8_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  2>"] sequence<byte> Matrix_8_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  3>"] sequence<byte> Matrix_8_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  4>"] sequence<byte> Matrix_8_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  5>"] sequence<byte> Matrix_8_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  6>"] sequence<byte> Matrix_8_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  7>"] sequence<byte> Matrix_8_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  8>"] sequence<byte> Matrix_8_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8,  9>"] sequence<byte> Matrix_8_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 10>"] sequence<byte> Matrix_8_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 11>"] sequence<byte> Matrix_8_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 12>"] sequence<byte> Matrix_8_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 13>"] sequence<byte> Matrix_8_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 14>"] sequence<byte> Matrix_8_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 15>"] sequence<byte> Matrix_8_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  8, 16>"] sequence<byte> Matrix_8_16_byte;
    sequence<Matrix_8_1_byte> Matrix_8_1_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_2_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_3_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_4_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_5_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_6_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_7_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_8_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_9_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_10_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_11_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_12_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_13_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_14_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_15_byteSeq;
    sequence<Matrix_8_1_byte> Matrix_8_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  9>"] sequence<byte> RowVector9byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  1>"] sequence<byte> Vector9byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  9>"] sequence<byte> Matrix9byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, -1>"] sequence<byte> Matrix9Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  9>"] sequence<byte> MatrixX9byte;
    sequence<RowVector9byte> RowVector9byteSeq;
    sequence<Vector9byte> Vector9byteSeq;
    sequence<Matrix9byte> Matrix9byteSeq;
    sequence<Matrix9Xbyte> Matrix9XbyteSeq;
    sequence<MatrixX9byte> MatrixX9byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  1>"] sequence<byte> Matrix_9_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  2>"] sequence<byte> Matrix_9_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  3>"] sequence<byte> Matrix_9_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  4>"] sequence<byte> Matrix_9_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  5>"] sequence<byte> Matrix_9_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  6>"] sequence<byte> Matrix_9_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  7>"] sequence<byte> Matrix_9_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  8>"] sequence<byte> Matrix_9_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9,  9>"] sequence<byte> Matrix_9_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 10>"] sequence<byte> Matrix_9_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 11>"] sequence<byte> Matrix_9_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 12>"] sequence<byte> Matrix_9_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 13>"] sequence<byte> Matrix_9_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 14>"] sequence<byte> Matrix_9_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 15>"] sequence<byte> Matrix_9_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  9, 16>"] sequence<byte> Matrix_9_16_byte;
    sequence<Matrix_9_1_byte> Matrix_9_1_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_2_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_3_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_4_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_5_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_6_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_7_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_8_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_9_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_10_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_11_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_12_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_13_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_14_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_15_byteSeq;
    sequence<Matrix_9_1_byte> Matrix_9_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  10>"] sequence<byte> RowVector10byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  1>"] sequence<byte> Vector10byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  10>"] sequence<byte> Matrix10byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, -1>"] sequence<byte> Matrix10Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  10>"] sequence<byte> MatrixX10byte;
    sequence<RowVector10byte> RowVector10byteSeq;
    sequence<Vector10byte> Vector10byteSeq;
    sequence<Matrix10byte> Matrix10byteSeq;
    sequence<Matrix10Xbyte> Matrix10XbyteSeq;
    sequence<MatrixX10byte> MatrixX10byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  1>"] sequence<byte> Matrix_10_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  2>"] sequence<byte> Matrix_10_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  3>"] sequence<byte> Matrix_10_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  4>"] sequence<byte> Matrix_10_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  5>"] sequence<byte> Matrix_10_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  6>"] sequence<byte> Matrix_10_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  7>"] sequence<byte> Matrix_10_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  8>"] sequence<byte> Matrix_10_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10,  9>"] sequence<byte> Matrix_10_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 10>"] sequence<byte> Matrix_10_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 11>"] sequence<byte> Matrix_10_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 12>"] sequence<byte> Matrix_10_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 13>"] sequence<byte> Matrix_10_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 14>"] sequence<byte> Matrix_10_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 15>"] sequence<byte> Matrix_10_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  10, 16>"] sequence<byte> Matrix_10_16_byte;
    sequence<Matrix_10_1_byte> Matrix_10_1_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_2_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_3_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_4_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_5_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_6_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_7_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_8_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_9_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_10_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_11_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_12_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_13_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_14_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_15_byteSeq;
    sequence<Matrix_10_1_byte> Matrix_10_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  11>"] sequence<byte> RowVector11byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  1>"] sequence<byte> Vector11byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  11>"] sequence<byte> Matrix11byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, -1>"] sequence<byte> Matrix11Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  11>"] sequence<byte> MatrixX11byte;
    sequence<RowVector11byte> RowVector11byteSeq;
    sequence<Vector11byte> Vector11byteSeq;
    sequence<Matrix11byte> Matrix11byteSeq;
    sequence<Matrix11Xbyte> Matrix11XbyteSeq;
    sequence<MatrixX11byte> MatrixX11byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  1>"] sequence<byte> Matrix_11_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  2>"] sequence<byte> Matrix_11_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  3>"] sequence<byte> Matrix_11_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  4>"] sequence<byte> Matrix_11_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  5>"] sequence<byte> Matrix_11_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  6>"] sequence<byte> Matrix_11_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  7>"] sequence<byte> Matrix_11_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  8>"] sequence<byte> Matrix_11_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11,  9>"] sequence<byte> Matrix_11_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 10>"] sequence<byte> Matrix_11_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 11>"] sequence<byte> Matrix_11_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 12>"] sequence<byte> Matrix_11_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 13>"] sequence<byte> Matrix_11_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 14>"] sequence<byte> Matrix_11_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 15>"] sequence<byte> Matrix_11_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  11, 16>"] sequence<byte> Matrix_11_16_byte;
    sequence<Matrix_11_1_byte> Matrix_11_1_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_2_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_3_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_4_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_5_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_6_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_7_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_8_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_9_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_10_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_11_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_12_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_13_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_14_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_15_byteSeq;
    sequence<Matrix_11_1_byte> Matrix_11_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  12>"] sequence<byte> RowVector12byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  1>"] sequence<byte> Vector12byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  12>"] sequence<byte> Matrix12byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, -1>"] sequence<byte> Matrix12Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  12>"] sequence<byte> MatrixX12byte;
    sequence<RowVector12byte> RowVector12byteSeq;
    sequence<Vector12byte> Vector12byteSeq;
    sequence<Matrix12byte> Matrix12byteSeq;
    sequence<Matrix12Xbyte> Matrix12XbyteSeq;
    sequence<MatrixX12byte> MatrixX12byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  1>"] sequence<byte> Matrix_12_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  2>"] sequence<byte> Matrix_12_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  3>"] sequence<byte> Matrix_12_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  4>"] sequence<byte> Matrix_12_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  5>"] sequence<byte> Matrix_12_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  6>"] sequence<byte> Matrix_12_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  7>"] sequence<byte> Matrix_12_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  8>"] sequence<byte> Matrix_12_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12,  9>"] sequence<byte> Matrix_12_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 10>"] sequence<byte> Matrix_12_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 11>"] sequence<byte> Matrix_12_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 12>"] sequence<byte> Matrix_12_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 13>"] sequence<byte> Matrix_12_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 14>"] sequence<byte> Matrix_12_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 15>"] sequence<byte> Matrix_12_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  12, 16>"] sequence<byte> Matrix_12_16_byte;
    sequence<Matrix_12_1_byte> Matrix_12_1_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_2_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_3_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_4_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_5_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_6_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_7_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_8_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_9_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_10_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_11_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_12_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_13_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_14_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_15_byteSeq;
    sequence<Matrix_12_1_byte> Matrix_12_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  13>"] sequence<byte> RowVector13byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  1>"] sequence<byte> Vector13byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  13>"] sequence<byte> Matrix13byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, -1>"] sequence<byte> Matrix13Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  13>"] sequence<byte> MatrixX13byte;
    sequence<RowVector13byte> RowVector13byteSeq;
    sequence<Vector13byte> Vector13byteSeq;
    sequence<Matrix13byte> Matrix13byteSeq;
    sequence<Matrix13Xbyte> Matrix13XbyteSeq;
    sequence<MatrixX13byte> MatrixX13byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  1>"] sequence<byte> Matrix_13_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  2>"] sequence<byte> Matrix_13_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  3>"] sequence<byte> Matrix_13_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  4>"] sequence<byte> Matrix_13_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  5>"] sequence<byte> Matrix_13_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  6>"] sequence<byte> Matrix_13_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  7>"] sequence<byte> Matrix_13_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  8>"] sequence<byte> Matrix_13_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13,  9>"] sequence<byte> Matrix_13_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 10>"] sequence<byte> Matrix_13_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 11>"] sequence<byte> Matrix_13_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 12>"] sequence<byte> Matrix_13_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 13>"] sequence<byte> Matrix_13_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 14>"] sequence<byte> Matrix_13_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 15>"] sequence<byte> Matrix_13_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  13, 16>"] sequence<byte> Matrix_13_16_byte;
    sequence<Matrix_13_1_byte> Matrix_13_1_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_2_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_3_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_4_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_5_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_6_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_7_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_8_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_9_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_10_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_11_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_12_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_13_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_14_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_15_byteSeq;
    sequence<Matrix_13_1_byte> Matrix_13_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  14>"] sequence<byte> RowVector14byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  1>"] sequence<byte> Vector14byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  14>"] sequence<byte> Matrix14byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, -1>"] sequence<byte> Matrix14Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  14>"] sequence<byte> MatrixX14byte;
    sequence<RowVector14byte> RowVector14byteSeq;
    sequence<Vector14byte> Vector14byteSeq;
    sequence<Matrix14byte> Matrix14byteSeq;
    sequence<Matrix14Xbyte> Matrix14XbyteSeq;
    sequence<MatrixX14byte> MatrixX14byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  1>"] sequence<byte> Matrix_14_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  2>"] sequence<byte> Matrix_14_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  3>"] sequence<byte> Matrix_14_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  4>"] sequence<byte> Matrix_14_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  5>"] sequence<byte> Matrix_14_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  6>"] sequence<byte> Matrix_14_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  7>"] sequence<byte> Matrix_14_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  8>"] sequence<byte> Matrix_14_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14,  9>"] sequence<byte> Matrix_14_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 10>"] sequence<byte> Matrix_14_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 11>"] sequence<byte> Matrix_14_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 12>"] sequence<byte> Matrix_14_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 13>"] sequence<byte> Matrix_14_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 14>"] sequence<byte> Matrix_14_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 15>"] sequence<byte> Matrix_14_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  14, 16>"] sequence<byte> Matrix_14_16_byte;
    sequence<Matrix_14_1_byte> Matrix_14_1_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_2_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_3_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_4_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_5_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_6_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_7_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_8_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_9_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_10_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_11_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_12_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_13_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_14_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_15_byteSeq;
    sequence<Matrix_14_1_byte> Matrix_14_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  15>"] sequence<byte> RowVector15byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  1>"] sequence<byte> Vector15byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  15>"] sequence<byte> Matrix15byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, -1>"] sequence<byte> Matrix15Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  15>"] sequence<byte> MatrixX15byte;
    sequence<RowVector15byte> RowVector15byteSeq;
    sequence<Vector15byte> Vector15byteSeq;
    sequence<Matrix15byte> Matrix15byteSeq;
    sequence<Matrix15Xbyte> Matrix15XbyteSeq;
    sequence<MatrixX15byte> MatrixX15byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  1>"] sequence<byte> Matrix_15_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  2>"] sequence<byte> Matrix_15_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  3>"] sequence<byte> Matrix_15_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  4>"] sequence<byte> Matrix_15_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  5>"] sequence<byte> Matrix_15_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  6>"] sequence<byte> Matrix_15_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  7>"] sequence<byte> Matrix_15_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  8>"] sequence<byte> Matrix_15_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15,  9>"] sequence<byte> Matrix_15_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 10>"] sequence<byte> Matrix_15_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 11>"] sequence<byte> Matrix_15_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 12>"] sequence<byte> Matrix_15_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 13>"] sequence<byte> Matrix_15_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 14>"] sequence<byte> Matrix_15_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 15>"] sequence<byte> Matrix_15_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  15, 16>"] sequence<byte> Matrix_15_16_byte;
    sequence<Matrix_15_1_byte> Matrix_15_1_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_2_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_3_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_4_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_5_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_6_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_7_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_8_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_9_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_10_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_11_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_12_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_13_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_14_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_15_byteSeq;
    sequence<Matrix_15_1_byte> Matrix_15_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1,  16>"] sequence<byte> RowVector16byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  1>"] sequence<byte> Vector16byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  16>"] sequence<byte> Matrix16byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, -1>"] sequence<byte> Matrix16Xbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  16>"] sequence<byte> MatrixX16byte;
    sequence<RowVector16byte> RowVector16byteSeq;
    sequence<Vector16byte> Vector16byteSeq;
    sequence<Matrix16byte> Matrix16byteSeq;
    sequence<Matrix16Xbyte> Matrix16XbyteSeq;
    sequence<MatrixX16byte> MatrixX16byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  1>"] sequence<byte> Matrix_16_1_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  2>"] sequence<byte> Matrix_16_2_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  3>"] sequence<byte> Matrix_16_3_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  4>"] sequence<byte> Matrix_16_4_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  5>"] sequence<byte> Matrix_16_5_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  6>"] sequence<byte> Matrix_16_6_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  7>"] sequence<byte> Matrix_16_7_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  8>"] sequence<byte> Matrix_16_8_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16,  9>"] sequence<byte> Matrix_16_9_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 10>"] sequence<byte> Matrix_16_10_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 11>"] sequence<byte> Matrix_16_11_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 12>"] sequence<byte> Matrix_16_12_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 13>"] sequence<byte> Matrix_16_13_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 14>"] sequence<byte> Matrix_16_14_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 15>"] sequence<byte> Matrix_16_15_byte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  16, 16>"] sequence<byte> Matrix_16_16_byte;
    sequence<Matrix_16_1_byte> Matrix_16_1_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_2_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_3_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_4_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_5_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_6_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_7_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_8_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_9_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_10_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_11_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_12_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_13_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_14_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_15_byteSeq;
    sequence<Matrix_16_1_byte> Matrix_16_16_byteSeq;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte,  1, -1>"] sequence<byte> RowVectorXbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1,  1>"] sequence<byte> VectorXbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1, -1>"] sequence<byte> MatrixXXbyte;
    ["cpp:type:::Eigen::Matrix<::Ice::Byte, -1, -1>"] sequence<byte> MatrixXbyte;
    sequence<RowVectorXbyte> RowVectorXbyteSeq;
    sequence<VectorXbyte> VectorXbyteSeq;
    sequence<MatrixXXbyte> MatrixXXbyteSeq;
    sequence<MatrixXbyte> MatrixXbyteSeq;
};
