#pragma once

#include <memory>
#include <sstream>
#include <string>

namespace armarx
{
    class CMakeWriter;
    using CmakeWriterPtr = std::shared_ptr<CMakeWriter>;

    class CMakeWriter
    {
    public:
        enum LineType
        {
            StartBlock,
            EndBlock,
            Normal,
            Empty
        };

        CMakeWriter();

        //        void startBlock();
        void startBlock(const std::string& line);
        //        void endBlock();
        void endBlock(const std::string& line);
        void endBlockComment(std::string comment);
        void line();
        void line(const std::string& line);
        void line(const std::string& line, int indentDelta);

        std::string getString();
        LineType getLastLineType();

    private:
        void lineInternal(const std::string& line, int indent);

    private:
        std::stringstream ss;
        int indent;
        std::string indentChars;
        LineType lastLineType;
    };

} // namespace armarx
