/*
 * This file is part of ArmarX.
 *
 * Copyright (C) 2011-2016, High Performance Humanoid Technologies (H2T), Karlsruhe Institute of Technology (KIT), all rights reserved.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package
 * @author
 * @date
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */
#pragma once

#include <memory>

#include "CppWriter.h"

namespace armarx
{
    class CppField;
    using CppFieldPtr = std::shared_ptr<CppField>;

    class CppField
    {
    public:
        CppField(const std::string& type,
                 const std::string& name,
                 const std::string& default_value = "",
                 const std::string& doc = "");
        std::string getName() const;
        std::string getType() const;
        void setDoc(const std::string& documentation);
        void writeCpp(const CppWriterPtr& writer);


    private:
        std::string type;
        std::string name;
        std::string default_value = "";
        std::string doc = "";
    };
} // namespace armarx
