/*
 * This file is part of ArmarX.
 *
 * Copyright (C) 2011-2016, High Performance Humanoid Technologies (H2T), Karlsruhe Institute of Technology (KIT), all rights reserved.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package
 * @author
 * @date
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */
#include "CppWriter.h"

using namespace armarx;

CppWriter::CppWriter(bool pragmaOnce, const std::string& fileDoc) : MetaWriter(fileDoc)
{
    if (!fileDoc.empty())
    {
        const std::string preSpace = " ";
        header.line("/*");
        std::vector<std::string> docLines = simox::alg::split(fileDoc, "\n");
        //std::vector<std::string> blockLines;
        //ConvertToTextWithMaxWidth(80, docLines, blockLines);

        for (auto& line : docLines)
        {
            header.line(preSpace + line);
        }

        header.line(preSpace + "*/");
    }

    if (pragmaOnce)
    {
        header.line("#pragma once");
        header.line();
    }
}
