/*
 * This file is part of ArmarX.
 *
 * Copyright (C) 2011-2016, High Performance Humanoid Technologies (H2T), Karlsruhe Institute of Technology (KIT), all rights reserved.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package
 * @author
 * @date
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */
#include "MetaClass.h"

#include <set>

#include <boost/format.hpp>

#include <SimoxUtility/algorithm/string/string_tools.h>


using namespace armarx;

MetaClass::MetaClass(const std::string& name) : name(name)
{
}

void
MetaClass::Write(const std::vector<MetaClassPtr>& classes, const MetaWriterPtr& writer)
{
    for (const auto& meta : classes)
    {
        meta->write(writer);
    }
}

void
MetaClass::addClassDoc(const std::string& doc)
{
    docString = doc;
}

std::string
MetaClass::getName() const
{
    return name;
}
