/*
 * This file is part of ArmarX.
 *
 * Copyright (C) 2011-2016, High Performance Humanoid Technologies (H2T), Karlsruhe Institute of Technology (KIT), all rights reserved.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package
 * @author
 * @date
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */
#pragma once

#include <memory>
#include <vector>

#include "MetaWriter.h"

namespace armarx
{
    class MetaEnum;
    using MetaEnumPtr = std::shared_ptr<MetaEnum>;

    class MetaEnum
    {
    public:
        MetaEnum(const std::string& name);

        virtual void write(const MetaWriterPtr& writer) = 0;
        static void Write(const std::vector<MetaEnumPtr>& classes, const MetaWriterPtr& writer);

        std::string getName() const;

        void addEnumDoc(const std::string& doc);

    protected:
        std::string name;
        std::string docString;
    };
} // namespace armarx
