// Copyright (c) 2006, 2007 Julio M. Merino Vidal
// Copyright (c) 2008 Ilya Sokolov, Boris Schaeling
// Copyright (c) 2009 Boris Schaeling
// Copyright (c) 2010 Felipe Tanus, Boris Schaeling
// Copyright (c) 2011, 2012 Jeff Flinn, Boris Schaeling
//
// Distributed under the Boost Software License, Version 1.0. (See accompanying
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#pragma once

#include <filesystem>

#include <boost/process/config.hpp>
#include <boost/system/error_code.hpp>

namespace boost::process::posix
{

    inline std::filesystem::path
    shell_path()
    {
        return "/bin/sh";
    }

    inline std::filesystem::path
    shell_path(boost::system::error_code& ec)
    {
        ec.clear();
        return "/bin/sh";
    }

} // namespace boost::process::posix
