// Copyright (c) 2006, 2007 Julio M. Merino Vidal
// Copyright (c) 2008 Ilya Sokolov, Boris Schaeling
// Copyright (c) 2009 Boris Schaeling
// Copyright (c) 2010 Felipe Tanus, Boris Schaeling
// Copyright (c) 2011, 2012 Jeff Flinn, Boris Schaeling
//
// Distributed under the Boost Software License, Version 1.0. (See accompanying
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#pragma once

#include <boost/process/config.hpp>
#include <boost/process/windows/initializers/initializer_base.hpp>

namespace boost::process::windows::initializers
{

    template <class Handler>
    class on_CreateProcess_error_ : public initializer_base
    {
    public:
        explicit on_CreateProcess_error_(Handler handler) : handler_(handler)
        {
        }

        template <class WindowsExecutor>
        void
        on_CreateProcess_error(WindowsExecutor& e) const
        {
            handler_(e);
        }

    private:
        Handler handler_;
    };

    template <class Handler>
    on_CreateProcess_error_<Handler>
    on_CreateProcess_error(Handler handler)
    {
        return on_CreateProcess_error_<Handler>(handler);
    }

} // namespace boost::process::windows::initializers
